import React, { useState } from 'react';

function styleInject(css, ref) {
  if ( ref === void 0 ) ref = {};
  var insertAt = ref.insertAt;

  if (!css || typeof document === 'undefined') { return; }

  var head = document.head || document.getElementsByTagName('head')[0];
  var style = document.createElement('style');
  style.type = 'text/css';

  if (insertAt === 'top') {
    if (head.firstChild) {
      head.insertBefore(style, head.firstChild);
    } else {
      head.appendChild(style);
    }
  } else {
    head.appendChild(style);
  }

  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    style.appendChild(document.createTextNode(css));
  }
}

var css_248z$S = ":root {\n  --animate-duration: 1s;\n  --animate-delay: 1s;\n  --animate-repeat: 1;\n  --blue: #007bff;\n  --indigo: #6610f2;\n  --purple: #6f42c1;\n  --pink: #e83e8c;\n  --red: #dc3545;\n  --orange: #fd7e14;\n  --yellow: #ffc107;\n  --green: #28a745;\n  --teal: #20c997;\n  --cyan: #17a2b8;\n  --white: #fff;\n  --gray: #6c757d;\n  --gray-dark: #343a40;\n  --primary: var(--iq-primary);\n  --secondary: #6c757d;\n  --success: #28a745;\n  --info: #17a2b8;\n  --warning: #ffc107;\n  --danger: #dc3545;\n  --light: #f8f9fa;\n  --dark: #343a40;\n  --breakpoint-xs: 0;\n  --breakpoint-sm: 576px;\n  --breakpoint-md: 768px;\n  --breakpoint-lg: 992px;\n  --breakpoint-xl: 1200px;\n  --font-family-sans-serif: -apple-system, BlinkMacSystemFont, \"Segoe UI\", Roboto, \"Helvetica Neue\", Arial, \"Noto Sans\", sans-serif, \"Apple Color Emoji\", \"Segoe UI Emoji\", \"Segoe UI Symbol\", \"Noto Color Emoji\";\n  --font-family-monospace: SFMono-Regular, Menlo, Monaco, Consolas, \"Liberation Mono\", \"Courier New\", monospace;\n  --iq-title-text: #fff;\n  --iq-body-text: #d1d0cf;\n  --iq-body-bg: #141414;\n  --iq-primary: #e20e02;\n  --iq-secondary: #83878a;\n  --iq-success: #14e788;\n  --iq-warning: #f68a04;\n  --iq-danger: #545e75;\n  --iq-info: #007aff;\n  --iq-dark: #000;\n  --iq-light: #fafafb;\n  --iq-white: #fff;\n  --iq-black: #fff;\n  --iq-gray: #b1b1b1;\n  --iq-dark1: #a2a4af;\n  --iq-light-primary: rgba(226, 14, 2, 0.2);\n  --iq-light-secondary: rgba(131, 135, 138, 0.2);\n  --iq-light-success: rgba(20, 231, 136, 0.2);\n  --iq-light-danger: rgba(84, 94, 117, 0.2);\n  --iq-light-warning: rgba(246, 138, 4, 0.2);\n  --iq-light-info: rgba(0, 122, 255, 0.2);\n  --iq-light-light: rgba(250, 250, 251, 0.2);\n  --iq-light-dark: rgba(0, 0, 0, 0.2);\n  --iq-primary-hover: #bf000a;\n  --iq-secondary-hover: #807e7e;\n  --iq-success-hover: #42f9d9;\n  --iq-danger-hover: #3c4354;\n  --iq-warning-hover: #fdb45e;\n  --iq-info-hover: #c280ea;\n  --iq-dark-hover: #44454e;\n  --iq-light-hover: #eaeeff;\n  --iq-border: #141414;\n  --iq-border-light: #141414;\n  --iq-border-danger: #ff9273;\n  --iq-light-card: #191919;\n  --iq-primary-rgb: 100, 114, 248;\n  --iq-primary-light: #f3fffe;\n  --iq-bg1: #363636;\n  --iq-disable: #313946;\n  --active: black; }\n\n* {\n  margin: 0;\n  padding: 0;\n  border: 0;\n  box-sizing: border-box; }\n\nbody {\n  font-family: Roboto, sans-serif;\n  font-weight: 400;\n  font-style: normal;\n  font-size: 16px;\n  line-height: 1.5;\n  padding: 0;\n  margin: 0;\n  color: var(--iq-body-text);\n  background: var(--iq-body-bg); }\n\nh1, h2, h3, h4, h5, h6 {\n  font-weight: 500;\n  margin: 0;\n  line-height: 1.2;\n  color: var(--iq-white); }\n\na {\n  text-decoration: none;\n  transition: 0.5s ease;\n  transition-property: color, background-color, border-color;\n  color: #007bff;\n  background-color: transparent; }\n\n::selection {\n  background: var(--iq-primary);\n  color: var(--iq-white);\n  text-shadow: none; }\n\n::-webkit-scrollbar-track {\n  background: #f1f1f1;\n  border-radius: 20px; }\n\n::-webkit-scrollbar-track {\n  background: #f1f1f1;\n  border-radius: 20px; }\n\n::-webkit-scrollbar-thumb {\n  background: #888;\n  border-radius: 20px; }\n\n::-webkit-scrollbar-thumb {\n  background: #888;\n  border-radius: 20px; }\n\n::-webkit-scrollbar {\n  width: 8px;\n  height: 8px;\n  border-radius: 20px; }\n\n::-webkit-scrollbar {\n  width: 8px;\n  height: 8px;\n  border-radius: 20px; }\n";
styleInject(css_248z$S);

var css_248z$R = ".ActiveItem span:first-child {\n  margin-right: 5px; }\n";
styleInject(css_248z$R);

/*!
 * Font Awesome Free 5.15.3 by @fontawesome - https://fontawesome.com
 * License - https://fontawesome.com/license/free (Icons: CC BY 4.0, Fonts: SIL OFL 1.1, Code: MIT License)
 */

function _classCallCheck(instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
}

function _defineProperties(target, props) {
  for (var i = 0; i < props.length; i++) {
    var descriptor = props[i];
    descriptor.enumerable = descriptor.enumerable || false;
    descriptor.configurable = true;
    if ("value" in descriptor) descriptor.writable = true;
    Object.defineProperty(target, descriptor.key, descriptor);
  }
}

function _createClass(Constructor, protoProps, staticProps) {
  if (protoProps) _defineProperties(Constructor.prototype, protoProps);
  if (staticProps) _defineProperties(Constructor, staticProps);
  return Constructor;
}

function _defineProperty$1(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
}

function _objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};
    var ownKeys = Object.keys(source);

    if (typeof Object.getOwnPropertySymbols === 'function') {
      ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) {
        return Object.getOwnPropertyDescriptor(source, sym).enumerable;
      }));
    }

    ownKeys.forEach(function (key) {
      _defineProperty$1(target, key, source[key]);
    });
  }

  return target;
}

function _slicedToArray(arr, i) {
  return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
}

function _arrayWithHoles(arr) {
  if (Array.isArray(arr)) return arr;
}

function _iterableToArrayLimit(arr, i) {
  var _arr = [];
  var _n = true;
  var _d = false;
  var _e = undefined;

  try {
    for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
      _arr.push(_s.value);

      if (i && _arr.length === i) break;
    }
  } catch (err) {
    _d = true;
    _e = err;
  } finally {
    try {
      if (!_n && _i["return"] != null) _i["return"]();
    } finally {
      if (_d) throw _e;
    }
  }

  return _arr;
}

function _nonIterableRest() {
  throw new TypeError("Invalid attempt to destructure non-iterable instance");
}

var noop = function noop() {};

var _WINDOW = {};
var _DOCUMENT = {};
var _MUTATION_OBSERVER = null;
var _PERFORMANCE = {
  mark: noop,
  measure: noop
};

try {
  if (typeof window !== 'undefined') _WINDOW = window;
  if (typeof document !== 'undefined') _DOCUMENT = document;
  if (typeof MutationObserver !== 'undefined') _MUTATION_OBSERVER = MutationObserver;
  if (typeof performance !== 'undefined') _PERFORMANCE = performance;
} catch (e) {}

var _ref = _WINDOW.navigator || {},
    _ref$userAgent = _ref.userAgent,
    userAgent = _ref$userAgent === void 0 ? '' : _ref$userAgent;

var WINDOW = _WINDOW;
var DOCUMENT = _DOCUMENT;
var PERFORMANCE = _PERFORMANCE;
!!WINDOW.document;
var IS_DOM = !!DOCUMENT.documentElement && !!DOCUMENT.head && typeof DOCUMENT.addEventListener === 'function' && typeof DOCUMENT.createElement === 'function';
~userAgent.indexOf('MSIE') || ~userAgent.indexOf('Trident/');

var NAMESPACE_IDENTIFIER = '___FONT_AWESOME___';
var DEFAULT_FAMILY_PREFIX = 'fa';
var DEFAULT_REPLACEMENT_CLASS = 'svg-inline--fa';
var DATA_FA_I2SVG = 'data-fa-i2svg';
(function () {
  try {
    return process.env.NODE_ENV === 'production';
  } catch (e) {
    return false;
  }
})();
var DUOTONE_CLASSES = {
  GROUP: 'group',
  SWAP_OPACITY: 'swap-opacity',
  PRIMARY: 'primary',
  SECONDARY: 'secondary'
};

var initial = WINDOW.FontAwesomeConfig || {};

function getAttrConfig(attr) {
  var element = DOCUMENT.querySelector('script[' + attr + ']');

  if (element) {
    return element.getAttribute(attr);
  }
}

function coerce(val) {
  // Getting an empty string will occur if the attribute is set on the HTML tag but without a value
  // We'll assume that this is an indication that it should be toggled to true
  // For example <script data-search-pseudo-elements src="..."></script>
  if (val === '') return true;
  if (val === 'false') return false;
  if (val === 'true') return true;
  return val;
}

if (DOCUMENT && typeof DOCUMENT.querySelector === 'function') {
  var attrs = [['data-family-prefix', 'familyPrefix'], ['data-replacement-class', 'replacementClass'], ['data-auto-replace-svg', 'autoReplaceSvg'], ['data-auto-add-css', 'autoAddCss'], ['data-auto-a11y', 'autoA11y'], ['data-search-pseudo-elements', 'searchPseudoElements'], ['data-observe-mutations', 'observeMutations'], ['data-mutate-approach', 'mutateApproach'], ['data-keep-original-source', 'keepOriginalSource'], ['data-measure-performance', 'measurePerformance'], ['data-show-missing-icons', 'showMissingIcons']];
  attrs.forEach(function (_ref) {
    var _ref2 = _slicedToArray(_ref, 2),
        attr = _ref2[0],
        key = _ref2[1];

    var val = coerce(getAttrConfig(attr));

    if (val !== undefined && val !== null) {
      initial[key] = val;
    }
  });
}

var _default = {
  familyPrefix: DEFAULT_FAMILY_PREFIX,
  replacementClass: DEFAULT_REPLACEMENT_CLASS,
  autoReplaceSvg: true,
  autoAddCss: true,
  autoA11y: true,
  searchPseudoElements: false,
  observeMutations: true,
  mutateApproach: 'async',
  keepOriginalSource: true,
  measurePerformance: false,
  showMissingIcons: true
};

var _config = _objectSpread({}, _default, initial);

if (!_config.autoReplaceSvg) _config.observeMutations = false;

var config = _objectSpread({}, _config);

WINDOW.FontAwesomeConfig = config;

var w$1 = WINDOW || {};
if (!w$1[NAMESPACE_IDENTIFIER]) w$1[NAMESPACE_IDENTIFIER] = {};
if (!w$1[NAMESPACE_IDENTIFIER].styles) w$1[NAMESPACE_IDENTIFIER].styles = {};
if (!w$1[NAMESPACE_IDENTIFIER].hooks) w$1[NAMESPACE_IDENTIFIER].hooks = {};
if (!w$1[NAMESPACE_IDENTIFIER].shims) w$1[NAMESPACE_IDENTIFIER].shims = [];
var namespace = w$1[NAMESPACE_IDENTIFIER];

var functions = [];

var listener = function listener() {
  DOCUMENT.removeEventListener('DOMContentLoaded', listener);
  loaded = 1;
  functions.map(function (fn) {
    return fn();
  });
};

var loaded = false;

if (IS_DOM) {
  loaded = (DOCUMENT.documentElement.doScroll ? /^loaded|^c/ : /^loaded|^i|^c/).test(DOCUMENT.readyState);
  if (!loaded) DOCUMENT.addEventListener('DOMContentLoaded', listener);
}

typeof global !== 'undefined' && typeof global.process !== 'undefined' && typeof global.process.emit === 'function';
typeof setImmediate === 'undefined' ? setTimeout : setImmediate;
var meaninglessTransform = {
  size: 16,
  x: 0,
  y: 0,
  rotate: 0,
  flipX: false,
  flipY: false
};
function insertCss(css) {
  if (!css || !IS_DOM) {
    return;
  }

  var style = DOCUMENT.createElement('style');
  style.setAttribute('type', 'text/css');
  style.innerHTML = css;
  var headChildren = DOCUMENT.head.childNodes;
  var beforeChild = null;

  for (var i = headChildren.length - 1; i > -1; i--) {
    var child = headChildren[i];
    var tagName = (child.tagName || '').toUpperCase();

    if (['STYLE', 'LINK'].indexOf(tagName) > -1) {
      beforeChild = child;
    }
  }

  DOCUMENT.head.insertBefore(style, beforeChild);
  return css;
}
var idPool = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
function nextUniqueId() {
  var size = 12;
  var id = '';

  while (size-- > 0) {
    id += idPool[Math.random() * 62 | 0];
  }

  return id;
}
function htmlEscape(str) {
  return "".concat(str).replace(/&/g, '&amp;').replace(/"/g, '&quot;').replace(/'/g, '&#39;').replace(/</g, '&lt;').replace(/>/g, '&gt;');
}
function joinAttributes(attributes) {
  return Object.keys(attributes || {}).reduce(function (acc, attributeName) {
    return acc + "".concat(attributeName, "=\"").concat(htmlEscape(attributes[attributeName]), "\" ");
  }, '').trim();
}
function joinStyles(styles) {
  return Object.keys(styles || {}).reduce(function (acc, styleName) {
    return acc + "".concat(styleName, ": ").concat(styles[styleName], ";");
  }, '');
}
function transformIsMeaningful(transform) {
  return transform.size !== meaninglessTransform.size || transform.x !== meaninglessTransform.x || transform.y !== meaninglessTransform.y || transform.rotate !== meaninglessTransform.rotate || transform.flipX || transform.flipY;
}
function transformForSvg(_ref) {
  var transform = _ref.transform,
      containerWidth = _ref.containerWidth,
      iconWidth = _ref.iconWidth;
  var outer = {
    transform: "translate(".concat(containerWidth / 2, " 256)")
  };
  var innerTranslate = "translate(".concat(transform.x * 32, ", ").concat(transform.y * 32, ") ");
  var innerScale = "scale(".concat(transform.size / 16 * (transform.flipX ? -1 : 1), ", ").concat(transform.size / 16 * (transform.flipY ? -1 : 1), ") ");
  var innerRotate = "rotate(".concat(transform.rotate, " 0 0)");
  var inner = {
    transform: "".concat(innerTranslate, " ").concat(innerScale, " ").concat(innerRotate)
  };
  var path = {
    transform: "translate(".concat(iconWidth / 2 * -1, " -256)")
  };
  return {
    outer: outer,
    inner: inner,
    path: path
  };
}

var ALL_SPACE = {
  x: 0,
  y: 0,
  width: '100%',
  height: '100%'
};

function fillBlack(abstract) {
  var force = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;

  if (abstract.attributes && (abstract.attributes.fill || force)) {
    abstract.attributes.fill = 'black';
  }

  return abstract;
}

function deGroup(abstract) {
  if (abstract.tag === 'g') {
    return abstract.children;
  } else {
    return [abstract];
  }
}

function makeIconMasking (_ref) {
  var children = _ref.children,
      attributes = _ref.attributes,
      main = _ref.main,
      mask = _ref.mask,
      explicitMaskId = _ref.maskId,
      transform = _ref.transform;
  var mainWidth = main.width,
      mainPath = main.icon;
  var maskWidth = mask.width,
      maskPath = mask.icon;
  var trans = transformForSvg({
    transform: transform,
    containerWidth: maskWidth,
    iconWidth: mainWidth
  });
  var maskRect = {
    tag: 'rect',
    attributes: _objectSpread({}, ALL_SPACE, {
      fill: 'white'
    })
  };
  var maskInnerGroupChildrenMixin = mainPath.children ? {
    children: mainPath.children.map(fillBlack)
  } : {};
  var maskInnerGroup = {
    tag: 'g',
    attributes: _objectSpread({}, trans.inner),
    children: [fillBlack(_objectSpread({
      tag: mainPath.tag,
      attributes: _objectSpread({}, mainPath.attributes, trans.path)
    }, maskInnerGroupChildrenMixin))]
  };
  var maskOuterGroup = {
    tag: 'g',
    attributes: _objectSpread({}, trans.outer),
    children: [maskInnerGroup]
  };
  var maskId = "mask-".concat(explicitMaskId || nextUniqueId());
  var clipId = "clip-".concat(explicitMaskId || nextUniqueId());
  var maskTag = {
    tag: 'mask',
    attributes: _objectSpread({}, ALL_SPACE, {
      id: maskId,
      maskUnits: 'userSpaceOnUse',
      maskContentUnits: 'userSpaceOnUse'
    }),
    children: [maskRect, maskOuterGroup]
  };
  var defs = {
    tag: 'defs',
    children: [{
      tag: 'clipPath',
      attributes: {
        id: clipId
      },
      children: deGroup(maskPath)
    }, maskTag]
  };
  children.push(defs, {
    tag: 'rect',
    attributes: _objectSpread({
      fill: 'currentColor',
      'clip-path': "url(#".concat(clipId, ")"),
      mask: "url(#".concat(maskId, ")")
    }, ALL_SPACE)
  });
  return {
    children: children,
    attributes: attributes
  };
}

function makeIconStandard (_ref) {
  var children = _ref.children,
      attributes = _ref.attributes,
      main = _ref.main,
      transform = _ref.transform,
      styles = _ref.styles;
  var styleString = joinStyles(styles);

  if (styleString.length > 0) {
    attributes['style'] = styleString;
  }

  if (transformIsMeaningful(transform)) {
    var trans = transformForSvg({
      transform: transform,
      containerWidth: main.width,
      iconWidth: main.width
    });
    children.push({
      tag: 'g',
      attributes: _objectSpread({}, trans.outer),
      children: [{
        tag: 'g',
        attributes: _objectSpread({}, trans.inner),
        children: [{
          tag: main.icon.tag,
          children: main.icon.children,
          attributes: _objectSpread({}, main.icon.attributes, trans.path)
        }]
      }]
    });
  } else {
    children.push(main.icon);
  }

  return {
    children: children,
    attributes: attributes
  };
}

function asIcon (_ref) {
  var children = _ref.children,
      main = _ref.main,
      mask = _ref.mask,
      attributes = _ref.attributes,
      styles = _ref.styles,
      transform = _ref.transform;

  if (transformIsMeaningful(transform) && main.found && !mask.found) {
    var width = main.width,
        height = main.height;
    var offset = {
      x: width / height / 2,
      y: 0.5
    };
    attributes['style'] = joinStyles(_objectSpread({}, styles, {
      'transform-origin': "".concat(offset.x + transform.x / 16, "em ").concat(offset.y + transform.y / 16, "em")
    }));
  }

  return [{
    tag: 'svg',
    attributes: attributes,
    children: children
  }];
}

function asSymbol (_ref) {
  var prefix = _ref.prefix,
      iconName = _ref.iconName,
      children = _ref.children,
      attributes = _ref.attributes,
      symbol = _ref.symbol;
  var id = symbol === true ? "".concat(prefix, "-").concat(config.familyPrefix, "-").concat(iconName) : symbol;
  return [{
    tag: 'svg',
    attributes: {
      style: 'display: none;'
    },
    children: [{
      tag: 'symbol',
      attributes: _objectSpread({}, attributes, {
        id: id
      }),
      children: children
    }]
  }];
}

function makeInlineSvgAbstract(params) {
  var _params$icons = params.icons,
      main = _params$icons.main,
      mask = _params$icons.mask,
      prefix = params.prefix,
      iconName = params.iconName,
      transform = params.transform,
      symbol = params.symbol,
      title = params.title,
      maskId = params.maskId,
      titleId = params.titleId,
      extra = params.extra,
      _params$watchable = params.watchable,
      watchable = _params$watchable === void 0 ? false : _params$watchable;

  var _ref = mask.found ? mask : main,
      width = _ref.width,
      height = _ref.height;

  var isUploadedIcon = prefix === 'fak';
  var widthClass = isUploadedIcon ? '' : "fa-w-".concat(Math.ceil(width / height * 16));
  var attrClass = [config.replacementClass, iconName ? "".concat(config.familyPrefix, "-").concat(iconName) : '', widthClass].filter(function (c) {
    return extra.classes.indexOf(c) === -1;
  }).filter(function (c) {
    return c !== '' || !!c;
  }).concat(extra.classes).join(' ');
  var content = {
    children: [],
    attributes: _objectSpread({}, extra.attributes, {
      'data-prefix': prefix,
      'data-icon': iconName,
      'class': attrClass,
      'role': extra.attributes.role || 'img',
      'xmlns': 'http://www.w3.org/2000/svg',
      'viewBox': "0 0 ".concat(width, " ").concat(height)
    })
  };
  var uploadedIconWidthStyle = isUploadedIcon && !~extra.classes.indexOf('fa-fw') ? {
    width: "".concat(width / height * 16 * 0.0625, "em")
  } : {};

  if (watchable) {
    content.attributes[DATA_FA_I2SVG] = '';
  }

  if (title) content.children.push({
    tag: 'title',
    attributes: {
      id: content.attributes['aria-labelledby'] || "title-".concat(titleId || nextUniqueId())
    },
    children: [title]
  });

  var args = _objectSpread({}, content, {
    prefix: prefix,
    iconName: iconName,
    main: main,
    mask: mask,
    maskId: maskId,
    transform: transform,
    symbol: symbol,
    styles: _objectSpread({}, uploadedIconWidthStyle, extra.styles)
  });

  var _ref2 = mask.found && main.found ? makeIconMasking(args) : makeIconStandard(args),
      children = _ref2.children,
      attributes = _ref2.attributes;

  args.children = children;
  args.attributes = attributes;

  if (symbol) {
    return asSymbol(args);
  } else {
    return asIcon(args);
  }
}

var noop$1 = function noop() {};

config.measurePerformance && PERFORMANCE && PERFORMANCE.mark && PERFORMANCE.measure ? PERFORMANCE : {
  mark: noop$1,
  measure: noop$1
};

/**
 * Internal helper to bind a function known to have 4 arguments
 * to a given context.
 */

var bindInternal4 = function bindInternal4(func, thisContext) {
  return function (a, b, c, d) {
    return func.call(thisContext, a, b, c, d);
  };
};

/**
 * # Reduce
 *
 * A fast object `.reduce()` implementation.
 *
 * @param  {Object}   subject      The object to reduce over.
 * @param  {Function} fn           The reducer function.
 * @param  {mixed}    initialValue The initial value for the reducer, defaults to subject[0].
 * @param  {Object}   thisContext  The context for the reducer.
 * @return {mixed}                 The final result.
 */


var reduce = function fastReduceObject(subject, fn, initialValue, thisContext) {
  var keys = Object.keys(subject),
      length = keys.length,
      iterator = thisContext !== undefined ? bindInternal4(fn, thisContext) : fn,
      i,
      key,
      result;

  if (initialValue === undefined) {
    i = 1;
    result = subject[keys[0]];
  } else {
    i = 0;
    result = initialValue;
  }

  for (; i < length; i++) {
    key = keys[i];
    result = iterator(result, subject[key], key, subject);
  }

  return result;
};

function defineIcons(prefix, icons) {
  var params = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
  var _params$skipHooks = params.skipHooks,
      skipHooks = _params$skipHooks === void 0 ? false : _params$skipHooks;
  var normalized = Object.keys(icons).reduce(function (acc, iconName) {
    var icon = icons[iconName];
    var expanded = !!icon.icon;

    if (expanded) {
      acc[icon.iconName] = icon.icon;
    } else {
      acc[iconName] = icon;
    }

    return acc;
  }, {});

  if (typeof namespace.hooks.addPack === 'function' && !skipHooks) {
    namespace.hooks.addPack(prefix, normalized);
  } else {
    namespace.styles[prefix] = _objectSpread({}, namespace.styles[prefix] || {}, normalized);
  }
  /**
   * Font Awesome 4 used the prefix of `fa` for all icons. With the introduction
   * of new styles we needed to differentiate between them. Prefix `fa` is now an alias
   * for `fas` so we'll easy the upgrade process for our users by automatically defining
   * this as well.
   */


  if (prefix === 'fas') {
    defineIcons('fa', icons);
  }
}

var styles = namespace.styles,
    shims = namespace.shims;
var build = function build() {
  var lookup = function lookup(reducer) {
    return reduce(styles, function (o, style, prefix) {
      o[prefix] = reduce(style, reducer, {});
      return o;
    }, {});
  };

  lookup(function (acc, icon, iconName) {
    if (icon[3]) {
      acc[icon[3]] = iconName;
    }

    return acc;
  });
  lookup(function (acc, icon, iconName) {
    var ligatures = icon[2];
    acc[iconName] = iconName;
    ligatures.forEach(function (ligature) {
      acc[ligature] = iconName;
    });
    return acc;
  });
  var hasRegular = 'far' in styles;
  reduce(shims, function (acc, shim) {
    var oldName = shim[0];
    var prefix = shim[1];
    var iconName = shim[2];

    if (prefix === 'far' && !hasRegular) {
      prefix = 'fas';
    }

    acc[oldName] = {
      prefix: prefix,
      iconName: iconName
    };
    return acc;
  }, {});
};
build();

namespace.styles;
function iconFromMapping(mapping, prefix, iconName) {
  if (mapping && mapping[prefix] && mapping[prefix][iconName]) {
    return {
      prefix: prefix,
      iconName: iconName,
      icon: mapping[prefix][iconName]
    };
  }
}

function toHtml(abstractNodes) {
  var tag = abstractNodes.tag,
      _abstractNodes$attrib = abstractNodes.attributes,
      attributes = _abstractNodes$attrib === void 0 ? {} : _abstractNodes$attrib,
      _abstractNodes$childr = abstractNodes.children,
      children = _abstractNodes$childr === void 0 ? [] : _abstractNodes$childr;

  if (typeof abstractNodes === 'string') {
    return htmlEscape(abstractNodes);
  } else {
    return "<".concat(tag, " ").concat(joinAttributes(attributes), ">").concat(children.map(toHtml).join(''), "</").concat(tag, ">");
  }
}

var parseTransformString = function parseTransformString(transformString) {
  var transform = {
    size: 16,
    x: 0,
    y: 0,
    flipX: false,
    flipY: false,
    rotate: 0
  };

  if (!transformString) {
    return transform;
  } else {
    return transformString.toLowerCase().split(' ').reduce(function (acc, n) {
      var parts = n.toLowerCase().split('-');
      var first = parts[0];
      var rest = parts.slice(1).join('-');

      if (first && rest === 'h') {
        acc.flipX = true;
        return acc;
      }

      if (first && rest === 'v') {
        acc.flipY = true;
        return acc;
      }

      rest = parseFloat(rest);

      if (isNaN(rest)) {
        return acc;
      }

      switch (first) {
        case 'grow':
          acc.size = acc.size + rest;
          break;

        case 'shrink':
          acc.size = acc.size - rest;
          break;

        case 'left':
          acc.x = acc.x - rest;
          break;

        case 'right':
          acc.x = acc.x + rest;
          break;

        case 'up':
          acc.y = acc.y - rest;
          break;

        case 'down':
          acc.y = acc.y + rest;
          break;

        case 'rotate':
          acc.rotate = acc.rotate + rest;
          break;
      }

      return acc;
    }, transform);
  }
};

function MissingIcon(error) {
  this.name = 'MissingIcon';
  this.message = error || 'Icon unavailable';
  this.stack = new Error().stack;
}
MissingIcon.prototype = Object.create(Error.prototype);
MissingIcon.prototype.constructor = MissingIcon;

var FILL = {
  fill: 'currentColor'
};
var ANIMATION_BASE = {
  attributeType: 'XML',
  repeatCount: 'indefinite',
  dur: '2s'
};
({
  tag: 'path',
  attributes: _objectSpread({}, FILL, {
    d: 'M156.5,447.7l-12.6,29.5c-18.7-9.5-35.9-21.2-51.5-34.9l22.7-22.7C127.6,430.5,141.5,440,156.5,447.7z M40.6,272H8.5 c1.4,21.2,5.4,41.7,11.7,61.1L50,321.2C45.1,305.5,41.8,289,40.6,272z M40.6,240c1.4-18.8,5.2-37,11.1-54.1l-29.5-12.6 C14.7,194.3,10,216.7,8.5,240H40.6z M64.3,156.5c7.8-14.9,17.2-28.8,28.1-41.5L69.7,92.3c-13.7,15.6-25.5,32.8-34.9,51.5 L64.3,156.5z M397,419.6c-13.9,12-29.4,22.3-46.1,30.4l11.9,29.8c20.7-9.9,39.8-22.6,56.9-37.6L397,419.6z M115,92.4 c13.9-12,29.4-22.3,46.1-30.4l-11.9-29.8c-20.7,9.9-39.8,22.6-56.8,37.6L115,92.4z M447.7,355.5c-7.8,14.9-17.2,28.8-28.1,41.5 l22.7,22.7c13.7-15.6,25.5-32.9,34.9-51.5L447.7,355.5z M471.4,272c-1.4,18.8-5.2,37-11.1,54.1l29.5,12.6 c7.5-21.1,12.2-43.5,13.6-66.8H471.4z M321.2,462c-15.7,5-32.2,8.2-49.2,9.4v32.1c21.2-1.4,41.7-5.4,61.1-11.7L321.2,462z M240,471.4c-18.8-1.4-37-5.2-54.1-11.1l-12.6,29.5c21.1,7.5,43.5,12.2,66.8,13.6V471.4z M462,190.8c5,15.7,8.2,32.2,9.4,49.2h32.1 c-1.4-21.2-5.4-41.7-11.7-61.1L462,190.8z M92.4,397c-12-13.9-22.3-29.4-30.4-46.1l-29.8,11.9c9.9,20.7,22.6,39.8,37.6,56.9 L92.4,397z M272,40.6c18.8,1.4,36.9,5.2,54.1,11.1l12.6-29.5C317.7,14.7,295.3,10,272,8.5V40.6z M190.8,50 c15.7-5,32.2-8.2,49.2-9.4V8.5c-21.2,1.4-41.7,5.4-61.1,11.7L190.8,50z M442.3,92.3L419.6,115c12,13.9,22.3,29.4,30.5,46.1 l29.8-11.9C470,128.5,457.3,109.4,442.3,92.3z M397,92.4l22.7-22.7c-15.6-13.7-32.8-25.5-51.5-34.9l-12.6,29.5 C370.4,72.1,384.4,81.5,397,92.4z'
  })
});

var OPACITY_ANIMATE = _objectSpread({}, ANIMATION_BASE, {
  attributeName: 'opacity'
});

({
  tag: 'circle',
  attributes: _objectSpread({}, FILL, {
    cx: '256',
    cy: '364',
    r: '28'
  }),
  children: [{
    tag: 'animate',
    attributes: _objectSpread({}, ANIMATION_BASE, {
      attributeName: 'r',
      values: '28;14;28;28;14;28;'
    })
  }, {
    tag: 'animate',
    attributes: _objectSpread({}, OPACITY_ANIMATE, {
      values: '1;0;1;1;0;1;'
    })
  }]
});
({
  tag: 'path',
  attributes: _objectSpread({}, FILL, {
    opacity: '1',
    d: 'M263.7,312h-16c-6.6,0-12-5.4-12-12c0-71,77.4-63.9,77.4-107.8c0-20-17.8-40.2-57.4-40.2c-29.1,0-44.3,9.6-59.2,28.7 c-3.9,5-11.1,6-16.2,2.4l-13.1-9.2c-5.6-3.9-6.9-11.8-2.6-17.2c21.2-27.2,46.4-44.7,91.2-44.7c52.3,0,97.4,29.8,97.4,80.2 c0,67.6-77.4,63.5-77.4,107.8C275.7,306.6,270.3,312,263.7,312z'
  }),
  children: [{
    tag: 'animate',
    attributes: _objectSpread({}, OPACITY_ANIMATE, {
      values: '1;0;0;0;0;1;'
    })
  }]
});
({
  tag: 'path',
  attributes: _objectSpread({}, FILL, {
    opacity: '0',
    d: 'M232.5,134.5l7,168c0.3,6.4,5.6,11.5,12,11.5h9c6.4,0,11.7-5.1,12-11.5l7-168c0.3-6.8-5.2-12.5-12-12.5h-23 C237.7,122,232.2,127.7,232.5,134.5z'
  }),
  children: [{
    tag: 'animate',
    attributes: _objectSpread({}, OPACITY_ANIMATE, {
      values: '0;0;1;1;0;0;'
    })
  }]
});

namespace.styles;
function asFoundIcon(icon) {
  var width = icon[0];
  var height = icon[1];

  var _icon$slice = icon.slice(4),
      _icon$slice2 = _slicedToArray(_icon$slice, 1),
      vectorData = _icon$slice2[0];

  var element = null;

  if (Array.isArray(vectorData)) {
    element = {
      tag: 'g',
      attributes: {
        class: "".concat(config.familyPrefix, "-").concat(DUOTONE_CLASSES.GROUP)
      },
      children: [{
        tag: 'path',
        attributes: {
          class: "".concat(config.familyPrefix, "-").concat(DUOTONE_CLASSES.SECONDARY),
          fill: 'currentColor',
          d: vectorData[0]
        }
      }, {
        tag: 'path',
        attributes: {
          class: "".concat(config.familyPrefix, "-").concat(DUOTONE_CLASSES.PRIMARY),
          fill: 'currentColor',
          d: vectorData[1]
        }
      }]
    };
  } else {
    element = {
      tag: 'path',
      attributes: {
        fill: 'currentColor',
        d: vectorData
      }
    };
  }

  return {
    found: true,
    width: width,
    height: height,
    icon: element
  };
}

namespace.styles;

var baseStyles = "svg:not(:root).svg-inline--fa {\n  overflow: visible;\n}\n\n.svg-inline--fa {\n  display: inline-block;\n  font-size: inherit;\n  height: 1em;\n  overflow: visible;\n  vertical-align: -0.125em;\n}\n.svg-inline--fa.fa-lg {\n  vertical-align: -0.225em;\n}\n.svg-inline--fa.fa-w-1 {\n  width: 0.0625em;\n}\n.svg-inline--fa.fa-w-2 {\n  width: 0.125em;\n}\n.svg-inline--fa.fa-w-3 {\n  width: 0.1875em;\n}\n.svg-inline--fa.fa-w-4 {\n  width: 0.25em;\n}\n.svg-inline--fa.fa-w-5 {\n  width: 0.3125em;\n}\n.svg-inline--fa.fa-w-6 {\n  width: 0.375em;\n}\n.svg-inline--fa.fa-w-7 {\n  width: 0.4375em;\n}\n.svg-inline--fa.fa-w-8 {\n  width: 0.5em;\n}\n.svg-inline--fa.fa-w-9 {\n  width: 0.5625em;\n}\n.svg-inline--fa.fa-w-10 {\n  width: 0.625em;\n}\n.svg-inline--fa.fa-w-11 {\n  width: 0.6875em;\n}\n.svg-inline--fa.fa-w-12 {\n  width: 0.75em;\n}\n.svg-inline--fa.fa-w-13 {\n  width: 0.8125em;\n}\n.svg-inline--fa.fa-w-14 {\n  width: 0.875em;\n}\n.svg-inline--fa.fa-w-15 {\n  width: 0.9375em;\n}\n.svg-inline--fa.fa-w-16 {\n  width: 1em;\n}\n.svg-inline--fa.fa-w-17 {\n  width: 1.0625em;\n}\n.svg-inline--fa.fa-w-18 {\n  width: 1.125em;\n}\n.svg-inline--fa.fa-w-19 {\n  width: 1.1875em;\n}\n.svg-inline--fa.fa-w-20 {\n  width: 1.25em;\n}\n.svg-inline--fa.fa-pull-left {\n  margin-right: 0.3em;\n  width: auto;\n}\n.svg-inline--fa.fa-pull-right {\n  margin-left: 0.3em;\n  width: auto;\n}\n.svg-inline--fa.fa-border {\n  height: 1.5em;\n}\n.svg-inline--fa.fa-li {\n  width: 2em;\n}\n.svg-inline--fa.fa-fw {\n  width: 1.25em;\n}\n\n.fa-layers svg.svg-inline--fa {\n  bottom: 0;\n  left: 0;\n  margin: auto;\n  position: absolute;\n  right: 0;\n  top: 0;\n}\n\n.fa-layers {\n  display: inline-block;\n  height: 1em;\n  position: relative;\n  text-align: center;\n  vertical-align: -0.125em;\n  width: 1em;\n}\n.fa-layers svg.svg-inline--fa {\n  -webkit-transform-origin: center center;\n          transform-origin: center center;\n}\n\n.fa-layers-counter, .fa-layers-text {\n  display: inline-block;\n  position: absolute;\n  text-align: center;\n}\n\n.fa-layers-text {\n  left: 50%;\n  top: 50%;\n  -webkit-transform: translate(-50%, -50%);\n          transform: translate(-50%, -50%);\n  -webkit-transform-origin: center center;\n          transform-origin: center center;\n}\n\n.fa-layers-counter {\n  background-color: #ff253a;\n  border-radius: 1em;\n  -webkit-box-sizing: border-box;\n          box-sizing: border-box;\n  color: #fff;\n  height: 1.5em;\n  line-height: 1;\n  max-width: 5em;\n  min-width: 1.5em;\n  overflow: hidden;\n  padding: 0.25em;\n  right: 0;\n  text-overflow: ellipsis;\n  top: 0;\n  -webkit-transform: scale(0.25);\n          transform: scale(0.25);\n  -webkit-transform-origin: top right;\n          transform-origin: top right;\n}\n\n.fa-layers-bottom-right {\n  bottom: 0;\n  right: 0;\n  top: auto;\n  -webkit-transform: scale(0.25);\n          transform: scale(0.25);\n  -webkit-transform-origin: bottom right;\n          transform-origin: bottom right;\n}\n\n.fa-layers-bottom-left {\n  bottom: 0;\n  left: 0;\n  right: auto;\n  top: auto;\n  -webkit-transform: scale(0.25);\n          transform: scale(0.25);\n  -webkit-transform-origin: bottom left;\n          transform-origin: bottom left;\n}\n\n.fa-layers-top-right {\n  right: 0;\n  top: 0;\n  -webkit-transform: scale(0.25);\n          transform: scale(0.25);\n  -webkit-transform-origin: top right;\n          transform-origin: top right;\n}\n\n.fa-layers-top-left {\n  left: 0;\n  right: auto;\n  top: 0;\n  -webkit-transform: scale(0.25);\n          transform: scale(0.25);\n  -webkit-transform-origin: top left;\n          transform-origin: top left;\n}\n\n.fa-lg {\n  font-size: 1.3333333333em;\n  line-height: 0.75em;\n  vertical-align: -0.0667em;\n}\n\n.fa-xs {\n  font-size: 0.75em;\n}\n\n.fa-sm {\n  font-size: 0.875em;\n}\n\n.fa-1x {\n  font-size: 1em;\n}\n\n.fa-2x {\n  font-size: 2em;\n}\n\n.fa-3x {\n  font-size: 3em;\n}\n\n.fa-4x {\n  font-size: 4em;\n}\n\n.fa-5x {\n  font-size: 5em;\n}\n\n.fa-6x {\n  font-size: 6em;\n}\n\n.fa-7x {\n  font-size: 7em;\n}\n\n.fa-8x {\n  font-size: 8em;\n}\n\n.fa-9x {\n  font-size: 9em;\n}\n\n.fa-10x {\n  font-size: 10em;\n}\n\n.fa-fw {\n  text-align: center;\n  width: 1.25em;\n}\n\n.fa-ul {\n  list-style-type: none;\n  margin-left: 2.5em;\n  padding-left: 0;\n}\n.fa-ul > li {\n  position: relative;\n}\n\n.fa-li {\n  left: -2em;\n  position: absolute;\n  text-align: center;\n  width: 2em;\n  line-height: inherit;\n}\n\n.fa-border {\n  border: solid 0.08em #eee;\n  border-radius: 0.1em;\n  padding: 0.2em 0.25em 0.15em;\n}\n\n.fa-pull-left {\n  float: left;\n}\n\n.fa-pull-right {\n  float: right;\n}\n\n.fa.fa-pull-left,\n.fas.fa-pull-left,\n.far.fa-pull-left,\n.fal.fa-pull-left,\n.fab.fa-pull-left {\n  margin-right: 0.3em;\n}\n.fa.fa-pull-right,\n.fas.fa-pull-right,\n.far.fa-pull-right,\n.fal.fa-pull-right,\n.fab.fa-pull-right {\n  margin-left: 0.3em;\n}\n\n.fa-spin {\n  -webkit-animation: fa-spin 2s infinite linear;\n          animation: fa-spin 2s infinite linear;\n}\n\n.fa-pulse {\n  -webkit-animation: fa-spin 1s infinite steps(8);\n          animation: fa-spin 1s infinite steps(8);\n}\n\n@-webkit-keyframes fa-spin {\n  0% {\n    -webkit-transform: rotate(0deg);\n            transform: rotate(0deg);\n  }\n  100% {\n    -webkit-transform: rotate(360deg);\n            transform: rotate(360deg);\n  }\n}\n\n@keyframes fa-spin {\n  0% {\n    -webkit-transform: rotate(0deg);\n            transform: rotate(0deg);\n  }\n  100% {\n    -webkit-transform: rotate(360deg);\n            transform: rotate(360deg);\n  }\n}\n.fa-rotate-90 {\n  -ms-filter: \"progid:DXImageTransform.Microsoft.BasicImage(rotation=1)\";\n  -webkit-transform: rotate(90deg);\n          transform: rotate(90deg);\n}\n\n.fa-rotate-180 {\n  -ms-filter: \"progid:DXImageTransform.Microsoft.BasicImage(rotation=2)\";\n  -webkit-transform: rotate(180deg);\n          transform: rotate(180deg);\n}\n\n.fa-rotate-270 {\n  -ms-filter: \"progid:DXImageTransform.Microsoft.BasicImage(rotation=3)\";\n  -webkit-transform: rotate(270deg);\n          transform: rotate(270deg);\n}\n\n.fa-flip-horizontal {\n  -ms-filter: \"progid:DXImageTransform.Microsoft.BasicImage(rotation=0, mirror=1)\";\n  -webkit-transform: scale(-1, 1);\n          transform: scale(-1, 1);\n}\n\n.fa-flip-vertical {\n  -ms-filter: \"progid:DXImageTransform.Microsoft.BasicImage(rotation=2, mirror=1)\";\n  -webkit-transform: scale(1, -1);\n          transform: scale(1, -1);\n}\n\n.fa-flip-both, .fa-flip-horizontal.fa-flip-vertical {\n  -ms-filter: \"progid:DXImageTransform.Microsoft.BasicImage(rotation=2, mirror=1)\";\n  -webkit-transform: scale(-1, -1);\n          transform: scale(-1, -1);\n}\n\n:root .fa-rotate-90,\n:root .fa-rotate-180,\n:root .fa-rotate-270,\n:root .fa-flip-horizontal,\n:root .fa-flip-vertical,\n:root .fa-flip-both {\n  -webkit-filter: none;\n          filter: none;\n}\n\n.fa-stack {\n  display: inline-block;\n  height: 2em;\n  position: relative;\n  width: 2.5em;\n}\n\n.fa-stack-1x,\n.fa-stack-2x {\n  bottom: 0;\n  left: 0;\n  margin: auto;\n  position: absolute;\n  right: 0;\n  top: 0;\n}\n\n.svg-inline--fa.fa-stack-1x {\n  height: 1em;\n  width: 1.25em;\n}\n.svg-inline--fa.fa-stack-2x {\n  height: 2em;\n  width: 2.5em;\n}\n\n.fa-inverse {\n  color: #fff;\n}\n\n.sr-only {\n  border: 0;\n  clip: rect(0, 0, 0, 0);\n  height: 1px;\n  margin: -1px;\n  overflow: hidden;\n  padding: 0;\n  position: absolute;\n  width: 1px;\n}\n\n.sr-only-focusable:active, .sr-only-focusable:focus {\n  clip: auto;\n  height: auto;\n  margin: 0;\n  overflow: visible;\n  position: static;\n  width: auto;\n}\n\n.svg-inline--fa .fa-primary {\n  fill: var(--fa-primary-color, currentColor);\n  opacity: 1;\n  opacity: var(--fa-primary-opacity, 1);\n}\n\n.svg-inline--fa .fa-secondary {\n  fill: var(--fa-secondary-color, currentColor);\n  opacity: 0.4;\n  opacity: var(--fa-secondary-opacity, 0.4);\n}\n\n.svg-inline--fa.fa-swap-opacity .fa-primary {\n  opacity: 0.4;\n  opacity: var(--fa-secondary-opacity, 0.4);\n}\n\n.svg-inline--fa.fa-swap-opacity .fa-secondary {\n  opacity: 1;\n  opacity: var(--fa-primary-opacity, 1);\n}\n\n.svg-inline--fa mask .fa-primary,\n.svg-inline--fa mask .fa-secondary {\n  fill: black;\n}\n\n.fad.fa-inverse {\n  color: #fff;\n}";

function css () {
  var dfp = DEFAULT_FAMILY_PREFIX;
  var drc = DEFAULT_REPLACEMENT_CLASS;
  var fp = config.familyPrefix;
  var rc = config.replacementClass;
  var s = baseStyles;

  if (fp !== dfp || rc !== drc) {
    var dPatt = new RegExp("\\.".concat(dfp, "\\-"), 'g');
    var customPropPatt = new RegExp("\\--".concat(dfp, "\\-"), 'g');
    var rPatt = new RegExp("\\.".concat(drc), 'g');
    s = s.replace(dPatt, ".".concat(fp, "-")).replace(customPropPatt, "--".concat(fp, "-")).replace(rPatt, ".".concat(rc));
  }

  return s;
}

var Library =
/*#__PURE__*/
function () {
  function Library() {
    _classCallCheck(this, Library);

    this.definitions = {};
  }

  _createClass(Library, [{
    key: "add",
    value: function add() {
      var _this = this;

      for (var _len = arguments.length, definitions = new Array(_len), _key = 0; _key < _len; _key++) {
        definitions[_key] = arguments[_key];
      }

      var additions = definitions.reduce(this._pullDefinitions, {});
      Object.keys(additions).forEach(function (key) {
        _this.definitions[key] = _objectSpread({}, _this.definitions[key] || {}, additions[key]);
        defineIcons(key, additions[key]);
        build();
      });
    }
  }, {
    key: "reset",
    value: function reset() {
      this.definitions = {};
    }
  }, {
    key: "_pullDefinitions",
    value: function _pullDefinitions(additions, definition) {
      var normalized = definition.prefix && definition.iconName && definition.icon ? {
        0: definition
      } : definition;
      Object.keys(normalized).map(function (key) {
        var _normalized$key = normalized[key],
            prefix = _normalized$key.prefix,
            iconName = _normalized$key.iconName,
            icon = _normalized$key.icon;
        if (!additions[prefix]) additions[prefix] = {};
        additions[prefix][iconName] = icon;
      });
      return additions;
    }
  }]);

  return Library;
}();

function ensureCss() {
  if (config.autoAddCss && !_cssInserted) {
    insertCss(css());

    _cssInserted = true;
  }
}

function apiObject(val, abstractCreator) {
  Object.defineProperty(val, 'abstract', {
    get: abstractCreator
  });
  Object.defineProperty(val, 'html', {
    get: function get() {
      return val.abstract.map(function (a) {
        return toHtml(a);
      });
    }
  });
  Object.defineProperty(val, 'node', {
    get: function get() {
      if (!IS_DOM) return;
      var container = DOCUMENT.createElement('div');
      container.innerHTML = val.html;
      return container.children;
    }
  });
  return val;
}

function findIconDefinition(iconLookup) {
  var _iconLookup$prefix = iconLookup.prefix,
      prefix = _iconLookup$prefix === void 0 ? 'fa' : _iconLookup$prefix,
      iconName = iconLookup.iconName;
  if (!iconName) return;
  return iconFromMapping(library.definitions, prefix, iconName) || iconFromMapping(namespace.styles, prefix, iconName);
}

function resolveIcons(next) {
  return function (maybeIconDefinition) {
    var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    var iconDefinition = (maybeIconDefinition || {}).icon ? maybeIconDefinition : findIconDefinition(maybeIconDefinition || {});
    var mask = params.mask;

    if (mask) {
      mask = (mask || {}).icon ? mask : findIconDefinition(mask || {});
    }

    return next(iconDefinition, _objectSpread({}, params, {
      mask: mask
    }));
  };
}

var library = new Library();
var _cssInserted = false;
var parse = {
  transform: function transform(transformString) {
    return parseTransformString(transformString);
  }
};
var icon$1 = resolveIcons(function (iconDefinition) {
  var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  var _params$transform = params.transform,
      transform = _params$transform === void 0 ? meaninglessTransform : _params$transform,
      _params$symbol = params.symbol,
      symbol = _params$symbol === void 0 ? false : _params$symbol,
      _params$mask = params.mask,
      mask = _params$mask === void 0 ? null : _params$mask,
      _params$maskId = params.maskId,
      maskId = _params$maskId === void 0 ? null : _params$maskId,
      _params$title = params.title,
      title = _params$title === void 0 ? null : _params$title,
      _params$titleId = params.titleId,
      titleId = _params$titleId === void 0 ? null : _params$titleId,
      _params$classes = params.classes,
      classes = _params$classes === void 0 ? [] : _params$classes,
      _params$attributes = params.attributes,
      attributes = _params$attributes === void 0 ? {} : _params$attributes,
      _params$styles = params.styles,
      styles = _params$styles === void 0 ? {} : _params$styles;
  if (!iconDefinition) return;
  var prefix = iconDefinition.prefix,
      iconName = iconDefinition.iconName,
      icon = iconDefinition.icon;
  return apiObject(_objectSpread({
    type: 'icon'
  }, iconDefinition), function () {
    ensureCss();

    if (config.autoA11y) {
      if (title) {
        attributes['aria-labelledby'] = "".concat(config.replacementClass, "-title-").concat(titleId || nextUniqueId());
      } else {
        attributes['aria-hidden'] = 'true';
        attributes['focusable'] = 'false';
      }
    }

    return makeInlineSvgAbstract({
      icons: {
        main: asFoundIcon(icon),
        mask: mask ? asFoundIcon(mask.icon) : {
          found: false,
          width: null,
          height: null,
          icon: {}
        }
      },
      prefix: prefix,
      iconName: iconName,
      transform: _objectSpread({}, meaninglessTransform, transform),
      symbol: symbol,
      title: title,
      maskId: maskId,
      titleId: titleId,
      extra: {
        attributes: attributes,
        styles: styles,
        classes: classes
      }
    });
  });
});

function createCommonjsModule(fn) {
  var module = { exports: {} };
	return fn(module, module.exports), module.exports;
}

/** @license React v16.13.1
 * react-is.production.min.js
 *
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
var b="function"===typeof Symbol&&Symbol.for,c=b?Symbol.for("react.element"):60103,d=b?Symbol.for("react.portal"):60106,e=b?Symbol.for("react.fragment"):60107,f=b?Symbol.for("react.strict_mode"):60108,g=b?Symbol.for("react.profiler"):60114,h=b?Symbol.for("react.provider"):60109,k=b?Symbol.for("react.context"):60110,l=b?Symbol.for("react.async_mode"):60111,m=b?Symbol.for("react.concurrent_mode"):60111,n=b?Symbol.for("react.forward_ref"):60112,p=b?Symbol.for("react.suspense"):60113,q=b?
Symbol.for("react.suspense_list"):60120,r=b?Symbol.for("react.memo"):60115,t=b?Symbol.for("react.lazy"):60116,v=b?Symbol.for("react.block"):60121,w=b?Symbol.for("react.fundamental"):60117,x=b?Symbol.for("react.responder"):60118,y=b?Symbol.for("react.scope"):60119;
function z(a){if("object"===typeof a&&null!==a){var u=a.$$typeof;switch(u){case c:switch(a=a.type,a){case l:case m:case e:case g:case f:case p:return a;default:switch(a=a&&a.$$typeof,a){case k:case n:case t:case r:case h:return a;default:return u}}case d:return u}}}function A(a){return z(a)===m}var AsyncMode=l;var ConcurrentMode=m;var ContextConsumer=k;var ContextProvider=h;var Element=c;var ForwardRef=n;var Fragment=e;var Lazy=t;var Memo=r;var Portal=d;
var Profiler=g;var StrictMode=f;var Suspense=p;var isAsyncMode=function(a){return A(a)||z(a)===l};var isConcurrentMode=A;var isContextConsumer=function(a){return z(a)===k};var isContextProvider=function(a){return z(a)===h};var isElement=function(a){return "object"===typeof a&&null!==a&&a.$$typeof===c};var isForwardRef=function(a){return z(a)===n};var isFragment=function(a){return z(a)===e};var isLazy=function(a){return z(a)===t};
var isMemo=function(a){return z(a)===r};var isPortal=function(a){return z(a)===d};var isProfiler=function(a){return z(a)===g};var isStrictMode=function(a){return z(a)===f};var isSuspense=function(a){return z(a)===p};
var isValidElementType=function(a){return "string"===typeof a||"function"===typeof a||a===e||a===m||a===g||a===f||a===p||a===q||"object"===typeof a&&null!==a&&(a.$$typeof===t||a.$$typeof===r||a.$$typeof===h||a.$$typeof===k||a.$$typeof===n||a.$$typeof===w||a.$$typeof===x||a.$$typeof===y||a.$$typeof===v)};var typeOf=z;

var reactIs_production_min = {
	AsyncMode: AsyncMode,
	ConcurrentMode: ConcurrentMode,
	ContextConsumer: ContextConsumer,
	ContextProvider: ContextProvider,
	Element: Element,
	ForwardRef: ForwardRef,
	Fragment: Fragment,
	Lazy: Lazy,
	Memo: Memo,
	Portal: Portal,
	Profiler: Profiler,
	StrictMode: StrictMode,
	Suspense: Suspense,
	isAsyncMode: isAsyncMode,
	isConcurrentMode: isConcurrentMode,
	isContextConsumer: isContextConsumer,
	isContextProvider: isContextProvider,
	isElement: isElement,
	isForwardRef: isForwardRef,
	isFragment: isFragment,
	isLazy: isLazy,
	isMemo: isMemo,
	isPortal: isPortal,
	isProfiler: isProfiler,
	isStrictMode: isStrictMode,
	isSuspense: isSuspense,
	isValidElementType: isValidElementType,
	typeOf: typeOf
};

/** @license React v16.13.1
 * react-is.development.js
 *
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

var reactIs_development = createCommonjsModule(function (module, exports) {



if (process.env.NODE_ENV !== "production") {
  (function() {

// The Symbol used to tag the ReactElement-like types. If there is no native Symbol
// nor polyfill, then a plain number is used for performance.
var hasSymbol = typeof Symbol === 'function' && Symbol.for;
var REACT_ELEMENT_TYPE = hasSymbol ? Symbol.for('react.element') : 0xeac7;
var REACT_PORTAL_TYPE = hasSymbol ? Symbol.for('react.portal') : 0xeaca;
var REACT_FRAGMENT_TYPE = hasSymbol ? Symbol.for('react.fragment') : 0xeacb;
var REACT_STRICT_MODE_TYPE = hasSymbol ? Symbol.for('react.strict_mode') : 0xeacc;
var REACT_PROFILER_TYPE = hasSymbol ? Symbol.for('react.profiler') : 0xead2;
var REACT_PROVIDER_TYPE = hasSymbol ? Symbol.for('react.provider') : 0xeacd;
var REACT_CONTEXT_TYPE = hasSymbol ? Symbol.for('react.context') : 0xeace; // TODO: We don't use AsyncMode or ConcurrentMode anymore. They were temporary
// (unstable) APIs that have been removed. Can we remove the symbols?

var REACT_ASYNC_MODE_TYPE = hasSymbol ? Symbol.for('react.async_mode') : 0xeacf;
var REACT_CONCURRENT_MODE_TYPE = hasSymbol ? Symbol.for('react.concurrent_mode') : 0xeacf;
var REACT_FORWARD_REF_TYPE = hasSymbol ? Symbol.for('react.forward_ref') : 0xead0;
var REACT_SUSPENSE_TYPE = hasSymbol ? Symbol.for('react.suspense') : 0xead1;
var REACT_SUSPENSE_LIST_TYPE = hasSymbol ? Symbol.for('react.suspense_list') : 0xead8;
var REACT_MEMO_TYPE = hasSymbol ? Symbol.for('react.memo') : 0xead3;
var REACT_LAZY_TYPE = hasSymbol ? Symbol.for('react.lazy') : 0xead4;
var REACT_BLOCK_TYPE = hasSymbol ? Symbol.for('react.block') : 0xead9;
var REACT_FUNDAMENTAL_TYPE = hasSymbol ? Symbol.for('react.fundamental') : 0xead5;
var REACT_RESPONDER_TYPE = hasSymbol ? Symbol.for('react.responder') : 0xead6;
var REACT_SCOPE_TYPE = hasSymbol ? Symbol.for('react.scope') : 0xead7;

function isValidElementType(type) {
  return typeof type === 'string' || typeof type === 'function' || // Note: its typeof might be other than 'symbol' or 'number' if it's a polyfill.
  type === REACT_FRAGMENT_TYPE || type === REACT_CONCURRENT_MODE_TYPE || type === REACT_PROFILER_TYPE || type === REACT_STRICT_MODE_TYPE || type === REACT_SUSPENSE_TYPE || type === REACT_SUSPENSE_LIST_TYPE || typeof type === 'object' && type !== null && (type.$$typeof === REACT_LAZY_TYPE || type.$$typeof === REACT_MEMO_TYPE || type.$$typeof === REACT_PROVIDER_TYPE || type.$$typeof === REACT_CONTEXT_TYPE || type.$$typeof === REACT_FORWARD_REF_TYPE || type.$$typeof === REACT_FUNDAMENTAL_TYPE || type.$$typeof === REACT_RESPONDER_TYPE || type.$$typeof === REACT_SCOPE_TYPE || type.$$typeof === REACT_BLOCK_TYPE);
}

function typeOf(object) {
  if (typeof object === 'object' && object !== null) {
    var $$typeof = object.$$typeof;

    switch ($$typeof) {
      case REACT_ELEMENT_TYPE:
        var type = object.type;

        switch (type) {
          case REACT_ASYNC_MODE_TYPE:
          case REACT_CONCURRENT_MODE_TYPE:
          case REACT_FRAGMENT_TYPE:
          case REACT_PROFILER_TYPE:
          case REACT_STRICT_MODE_TYPE:
          case REACT_SUSPENSE_TYPE:
            return type;

          default:
            var $$typeofType = type && type.$$typeof;

            switch ($$typeofType) {
              case REACT_CONTEXT_TYPE:
              case REACT_FORWARD_REF_TYPE:
              case REACT_LAZY_TYPE:
              case REACT_MEMO_TYPE:
              case REACT_PROVIDER_TYPE:
                return $$typeofType;

              default:
                return $$typeof;
            }

        }

      case REACT_PORTAL_TYPE:
        return $$typeof;
    }
  }

  return undefined;
} // AsyncMode is deprecated along with isAsyncMode

var AsyncMode = REACT_ASYNC_MODE_TYPE;
var ConcurrentMode = REACT_CONCURRENT_MODE_TYPE;
var ContextConsumer = REACT_CONTEXT_TYPE;
var ContextProvider = REACT_PROVIDER_TYPE;
var Element = REACT_ELEMENT_TYPE;
var ForwardRef = REACT_FORWARD_REF_TYPE;
var Fragment = REACT_FRAGMENT_TYPE;
var Lazy = REACT_LAZY_TYPE;
var Memo = REACT_MEMO_TYPE;
var Portal = REACT_PORTAL_TYPE;
var Profiler = REACT_PROFILER_TYPE;
var StrictMode = REACT_STRICT_MODE_TYPE;
var Suspense = REACT_SUSPENSE_TYPE;
var hasWarnedAboutDeprecatedIsAsyncMode = false; // AsyncMode should be deprecated

function isAsyncMode(object) {
  {
    if (!hasWarnedAboutDeprecatedIsAsyncMode) {
      hasWarnedAboutDeprecatedIsAsyncMode = true; // Using console['warn'] to evade Babel and ESLint

      console['warn']('The ReactIs.isAsyncMode() alias has been deprecated, ' + 'and will be removed in React 17+. Update your code to use ' + 'ReactIs.isConcurrentMode() instead. It has the exact same API.');
    }
  }

  return isConcurrentMode(object) || typeOf(object) === REACT_ASYNC_MODE_TYPE;
}
function isConcurrentMode(object) {
  return typeOf(object) === REACT_CONCURRENT_MODE_TYPE;
}
function isContextConsumer(object) {
  return typeOf(object) === REACT_CONTEXT_TYPE;
}
function isContextProvider(object) {
  return typeOf(object) === REACT_PROVIDER_TYPE;
}
function isElement(object) {
  return typeof object === 'object' && object !== null && object.$$typeof === REACT_ELEMENT_TYPE;
}
function isForwardRef(object) {
  return typeOf(object) === REACT_FORWARD_REF_TYPE;
}
function isFragment(object) {
  return typeOf(object) === REACT_FRAGMENT_TYPE;
}
function isLazy(object) {
  return typeOf(object) === REACT_LAZY_TYPE;
}
function isMemo(object) {
  return typeOf(object) === REACT_MEMO_TYPE;
}
function isPortal(object) {
  return typeOf(object) === REACT_PORTAL_TYPE;
}
function isProfiler(object) {
  return typeOf(object) === REACT_PROFILER_TYPE;
}
function isStrictMode(object) {
  return typeOf(object) === REACT_STRICT_MODE_TYPE;
}
function isSuspense(object) {
  return typeOf(object) === REACT_SUSPENSE_TYPE;
}

exports.AsyncMode = AsyncMode;
exports.ConcurrentMode = ConcurrentMode;
exports.ContextConsumer = ContextConsumer;
exports.ContextProvider = ContextProvider;
exports.Element = Element;
exports.ForwardRef = ForwardRef;
exports.Fragment = Fragment;
exports.Lazy = Lazy;
exports.Memo = Memo;
exports.Portal = Portal;
exports.Profiler = Profiler;
exports.StrictMode = StrictMode;
exports.Suspense = Suspense;
exports.isAsyncMode = isAsyncMode;
exports.isConcurrentMode = isConcurrentMode;
exports.isContextConsumer = isContextConsumer;
exports.isContextProvider = isContextProvider;
exports.isElement = isElement;
exports.isForwardRef = isForwardRef;
exports.isFragment = isFragment;
exports.isLazy = isLazy;
exports.isMemo = isMemo;
exports.isPortal = isPortal;
exports.isProfiler = isProfiler;
exports.isStrictMode = isStrictMode;
exports.isSuspense = isSuspense;
exports.isValidElementType = isValidElementType;
exports.typeOf = typeOf;
  })();
}
});

var reactIs = createCommonjsModule(function (module) {

if (process.env.NODE_ENV === 'production') {
  module.exports = reactIs_production_min;
} else {
  module.exports = reactIs_development;
}
});

/*
object-assign
(c) Sindre Sorhus
@license MIT
*/
/* eslint-disable no-unused-vars */
var getOwnPropertySymbols = Object.getOwnPropertySymbols;
var hasOwnProperty = Object.prototype.hasOwnProperty;
var propIsEnumerable = Object.prototype.propertyIsEnumerable;

function toObject(val) {
	if (val === null || val === undefined) {
		throw new TypeError('Object.assign cannot be called with null or undefined');
	}

	return Object(val);
}

function shouldUseNative() {
	try {
		if (!Object.assign) {
			return false;
		}

		// Detect buggy property enumeration order in older V8 versions.

		// https://bugs.chromium.org/p/v8/issues/detail?id=4118
		var test1 = new String('abc');  // eslint-disable-line no-new-wrappers
		test1[5] = 'de';
		if (Object.getOwnPropertyNames(test1)[0] === '5') {
			return false;
		}

		// https://bugs.chromium.org/p/v8/issues/detail?id=3056
		var test2 = {};
		for (var i = 0; i < 10; i++) {
			test2['_' + String.fromCharCode(i)] = i;
		}
		var order2 = Object.getOwnPropertyNames(test2).map(function (n) {
			return test2[n];
		});
		if (order2.join('') !== '0123456789') {
			return false;
		}

		// https://bugs.chromium.org/p/v8/issues/detail?id=3056
		var test3 = {};
		'abcdefghijklmnopqrst'.split('').forEach(function (letter) {
			test3[letter] = letter;
		});
		if (Object.keys(Object.assign({}, test3)).join('') !==
				'abcdefghijklmnopqrst') {
			return false;
		}

		return true;
	} catch (err) {
		// We don't expect any of the above to throw, but better to be safe.
		return false;
	}
}

var objectAssign = shouldUseNative() ? Object.assign : function (target, source) {
	var from;
	var to = toObject(target);
	var symbols;

	for (var s = 1; s < arguments.length; s++) {
		from = Object(arguments[s]);

		for (var key in from) {
			if (hasOwnProperty.call(from, key)) {
				to[key] = from[key];
			}
		}

		if (getOwnPropertySymbols) {
			symbols = getOwnPropertySymbols(from);
			for (var i = 0; i < symbols.length; i++) {
				if (propIsEnumerable.call(from, symbols[i])) {
					to[symbols[i]] = from[symbols[i]];
				}
			}
		}
	}

	return to;
};

/**
 * Copyright (c) 2013-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

var ReactPropTypesSecret$1 = 'SECRET_DO_NOT_PASS_THIS_OR_YOU_WILL_BE_FIRED';

var ReactPropTypesSecret_1 = ReactPropTypesSecret$1;

/**
 * Copyright (c) 2013-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

var printWarning$1 = function() {};

if (process.env.NODE_ENV !== 'production') {
  var ReactPropTypesSecret = ReactPropTypesSecret_1;
  var loggedTypeFailures = {};
  var has$1 = Function.call.bind(Object.prototype.hasOwnProperty);

  printWarning$1 = function(text) {
    var message = 'Warning: ' + text;
    if (typeof console !== 'undefined') {
      console.error(message);
    }
    try {
      // --- Welcome to debugging React ---
      // This error was thrown as a convenience so that you can use this stack
      // to find the callsite that caused this warning to fire.
      throw new Error(message);
    } catch (x) {}
  };
}

/**
 * Assert that the values match with the type specs.
 * Error messages are memorized and will only be shown once.
 *
 * @param {object} typeSpecs Map of name to a ReactPropType
 * @param {object} values Runtime values that need to be type-checked
 * @param {string} location e.g. "prop", "context", "child context"
 * @param {string} componentName Name of the component for error messages.
 * @param {?Function} getStack Returns the component stack.
 * @private
 */
function checkPropTypes(typeSpecs, values, location, componentName, getStack) {
  if (process.env.NODE_ENV !== 'production') {
    for (var typeSpecName in typeSpecs) {
      if (has$1(typeSpecs, typeSpecName)) {
        var error;
        // Prop type validation may throw. In case they do, we don't want to
        // fail the render phase where it didn't fail before. So we log it.
        // After these have been cleaned up, we'll let them throw.
        try {
          // This is intentionally an invariant that gets caught. It's the same
          // behavior as without this statement except with a better message.
          if (typeof typeSpecs[typeSpecName] !== 'function') {
            var err = Error(
              (componentName || 'React class') + ': ' + location + ' type `' + typeSpecName + '` is invalid; ' +
              'it must be a function, usually from the `prop-types` package, but received `' + typeof typeSpecs[typeSpecName] + '`.'
            );
            err.name = 'Invariant Violation';
            throw err;
          }
          error = typeSpecs[typeSpecName](values, typeSpecName, componentName, location, null, ReactPropTypesSecret);
        } catch (ex) {
          error = ex;
        }
        if (error && !(error instanceof Error)) {
          printWarning$1(
            (componentName || 'React class') + ': type specification of ' +
            location + ' `' + typeSpecName + '` is invalid; the type checker ' +
            'function must return `null` or an `Error` but returned a ' + typeof error + '. ' +
            'You may have forgotten to pass an argument to the type checker ' +
            'creator (arrayOf, instanceOf, objectOf, oneOf, oneOfType, and ' +
            'shape all require an argument).'
          );
        }
        if (error instanceof Error && !(error.message in loggedTypeFailures)) {
          // Only monitor this failure once because there tends to be a lot of the
          // same error.
          loggedTypeFailures[error.message] = true;

          var stack = getStack ? getStack() : '';

          printWarning$1(
            'Failed ' + location + ' type: ' + error.message + (stack != null ? stack : '')
          );
        }
      }
    }
  }
}

/**
 * Resets warning cache when testing.
 *
 * @private
 */
checkPropTypes.resetWarningCache = function() {
  if (process.env.NODE_ENV !== 'production') {
    loggedTypeFailures = {};
  }
};

var checkPropTypes_1 = checkPropTypes;

/**
 * Copyright (c) 2013-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */







var has = Function.call.bind(Object.prototype.hasOwnProperty);
var printWarning = function() {};

if (process.env.NODE_ENV !== 'production') {
  printWarning = function(text) {
    var message = 'Warning: ' + text;
    if (typeof console !== 'undefined') {
      console.error(message);
    }
    try {
      // --- Welcome to debugging React ---
      // This error was thrown as a convenience so that you can use this stack
      // to find the callsite that caused this warning to fire.
      throw new Error(message);
    } catch (x) {}
  };
}

function emptyFunctionThatReturnsNull() {
  return null;
}

var factoryWithTypeCheckers = function(isValidElement, throwOnDirectAccess) {
  /* global Symbol */
  var ITERATOR_SYMBOL = typeof Symbol === 'function' && Symbol.iterator;
  var FAUX_ITERATOR_SYMBOL = '@@iterator'; // Before Symbol spec.

  /**
   * Returns the iterator method function contained on the iterable object.
   *
   * Be sure to invoke the function with the iterable as context:
   *
   *     var iteratorFn = getIteratorFn(myIterable);
   *     if (iteratorFn) {
   *       var iterator = iteratorFn.call(myIterable);
   *       ...
   *     }
   *
   * @param {?object} maybeIterable
   * @return {?function}
   */
  function getIteratorFn(maybeIterable) {
    var iteratorFn = maybeIterable && (ITERATOR_SYMBOL && maybeIterable[ITERATOR_SYMBOL] || maybeIterable[FAUX_ITERATOR_SYMBOL]);
    if (typeof iteratorFn === 'function') {
      return iteratorFn;
    }
  }

  /**
   * Collection of methods that allow declaration and validation of props that are
   * supplied to React components. Example usage:
   *
   *   var Props = require('ReactPropTypes');
   *   var MyArticle = React.createClass({
   *     propTypes: {
   *       // An optional string prop named "description".
   *       description: Props.string,
   *
   *       // A required enum prop named "category".
   *       category: Props.oneOf(['News','Photos']).isRequired,
   *
   *       // A prop named "dialog" that requires an instance of Dialog.
   *       dialog: Props.instanceOf(Dialog).isRequired
   *     },
   *     render: function() { ... }
   *   });
   *
   * A more formal specification of how these methods are used:
   *
   *   type := array|bool|func|object|number|string|oneOf([...])|instanceOf(...)
   *   decl := ReactPropTypes.{type}(.isRequired)?
   *
   * Each and every declaration produces a function with the same signature. This
   * allows the creation of custom validation functions. For example:
   *
   *  var MyLink = React.createClass({
   *    propTypes: {
   *      // An optional string or URI prop named "href".
   *      href: function(props, propName, componentName) {
   *        var propValue = props[propName];
   *        if (propValue != null && typeof propValue !== 'string' &&
   *            !(propValue instanceof URI)) {
   *          return new Error(
   *            'Expected a string or an URI for ' + propName + ' in ' +
   *            componentName
   *          );
   *        }
   *      }
   *    },
   *    render: function() {...}
   *  });
   *
   * @internal
   */

  var ANONYMOUS = '<<anonymous>>';

  // Important!
  // Keep this list in sync with production version in `./factoryWithThrowingShims.js`.
  var ReactPropTypes = {
    array: createPrimitiveTypeChecker('array'),
    bool: createPrimitiveTypeChecker('boolean'),
    func: createPrimitiveTypeChecker('function'),
    number: createPrimitiveTypeChecker('number'),
    object: createPrimitiveTypeChecker('object'),
    string: createPrimitiveTypeChecker('string'),
    symbol: createPrimitiveTypeChecker('symbol'),

    any: createAnyTypeChecker(),
    arrayOf: createArrayOfTypeChecker,
    element: createElementTypeChecker(),
    elementType: createElementTypeTypeChecker(),
    instanceOf: createInstanceTypeChecker,
    node: createNodeChecker(),
    objectOf: createObjectOfTypeChecker,
    oneOf: createEnumTypeChecker,
    oneOfType: createUnionTypeChecker,
    shape: createShapeTypeChecker,
    exact: createStrictShapeTypeChecker,
  };

  /**
   * inlined Object.is polyfill to avoid requiring consumers ship their own
   * https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object/is
   */
  /*eslint-disable no-self-compare*/
  function is(x, y) {
    // SameValue algorithm
    if (x === y) {
      // Steps 1-5, 7-10
      // Steps 6.b-6.e: +0 != -0
      return x !== 0 || 1 / x === 1 / y;
    } else {
      // Step 6.a: NaN == NaN
      return x !== x && y !== y;
    }
  }
  /*eslint-enable no-self-compare*/

  /**
   * We use an Error-like object for backward compatibility as people may call
   * PropTypes directly and inspect their output. However, we don't use real
   * Errors anymore. We don't inspect their stack anyway, and creating them
   * is prohibitively expensive if they are created too often, such as what
   * happens in oneOfType() for any type before the one that matched.
   */
  function PropTypeError(message) {
    this.message = message;
    this.stack = '';
  }
  // Make `instanceof Error` still work for returned errors.
  PropTypeError.prototype = Error.prototype;

  function createChainableTypeChecker(validate) {
    if (process.env.NODE_ENV !== 'production') {
      var manualPropTypeCallCache = {};
      var manualPropTypeWarningCount = 0;
    }
    function checkType(isRequired, props, propName, componentName, location, propFullName, secret) {
      componentName = componentName || ANONYMOUS;
      propFullName = propFullName || propName;

      if (secret !== ReactPropTypesSecret_1) {
        if (throwOnDirectAccess) {
          // New behavior only for users of `prop-types` package
          var err = new Error(
            'Calling PropTypes validators directly is not supported by the `prop-types` package. ' +
            'Use `PropTypes.checkPropTypes()` to call them. ' +
            'Read more at http://fb.me/use-check-prop-types'
          );
          err.name = 'Invariant Violation';
          throw err;
        } else if (process.env.NODE_ENV !== 'production' && typeof console !== 'undefined') {
          // Old behavior for people using React.PropTypes
          var cacheKey = componentName + ':' + propName;
          if (
            !manualPropTypeCallCache[cacheKey] &&
            // Avoid spamming the console because they are often not actionable except for lib authors
            manualPropTypeWarningCount < 3
          ) {
            printWarning(
              'You are manually calling a React.PropTypes validation ' +
              'function for the `' + propFullName + '` prop on `' + componentName  + '`. This is deprecated ' +
              'and will throw in the standalone `prop-types` package. ' +
              'You may be seeing this warning due to a third-party PropTypes ' +
              'library. See https://fb.me/react-warning-dont-call-proptypes ' + 'for details.'
            );
            manualPropTypeCallCache[cacheKey] = true;
            manualPropTypeWarningCount++;
          }
        }
      }
      if (props[propName] == null) {
        if (isRequired) {
          if (props[propName] === null) {
            return new PropTypeError('The ' + location + ' `' + propFullName + '` is marked as required ' + ('in `' + componentName + '`, but its value is `null`.'));
          }
          return new PropTypeError('The ' + location + ' `' + propFullName + '` is marked as required in ' + ('`' + componentName + '`, but its value is `undefined`.'));
        }
        return null;
      } else {
        return validate(props, propName, componentName, location, propFullName);
      }
    }

    var chainedCheckType = checkType.bind(null, false);
    chainedCheckType.isRequired = checkType.bind(null, true);

    return chainedCheckType;
  }

  function createPrimitiveTypeChecker(expectedType) {
    function validate(props, propName, componentName, location, propFullName, secret) {
      var propValue = props[propName];
      var propType = getPropType(propValue);
      if (propType !== expectedType) {
        // `propValue` being instance of, say, date/regexp, pass the 'object'
        // check, but we can offer a more precise error message here rather than
        // 'of type `object`'.
        var preciseType = getPreciseType(propValue);

        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + preciseType + '` supplied to `' + componentName + '`, expected ') + ('`' + expectedType + '`.'));
      }
      return null;
    }
    return createChainableTypeChecker(validate);
  }

  function createAnyTypeChecker() {
    return createChainableTypeChecker(emptyFunctionThatReturnsNull);
  }

  function createArrayOfTypeChecker(typeChecker) {
    function validate(props, propName, componentName, location, propFullName) {
      if (typeof typeChecker !== 'function') {
        return new PropTypeError('Property `' + propFullName + '` of component `' + componentName + '` has invalid PropType notation inside arrayOf.');
      }
      var propValue = props[propName];
      if (!Array.isArray(propValue)) {
        var propType = getPropType(propValue);
        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + propType + '` supplied to `' + componentName + '`, expected an array.'));
      }
      for (var i = 0; i < propValue.length; i++) {
        var error = typeChecker(propValue, i, componentName, location, propFullName + '[' + i + ']', ReactPropTypesSecret_1);
        if (error instanceof Error) {
          return error;
        }
      }
      return null;
    }
    return createChainableTypeChecker(validate);
  }

  function createElementTypeChecker() {
    function validate(props, propName, componentName, location, propFullName) {
      var propValue = props[propName];
      if (!isValidElement(propValue)) {
        var propType = getPropType(propValue);
        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + propType + '` supplied to `' + componentName + '`, expected a single ReactElement.'));
      }
      return null;
    }
    return createChainableTypeChecker(validate);
  }

  function createElementTypeTypeChecker() {
    function validate(props, propName, componentName, location, propFullName) {
      var propValue = props[propName];
      if (!reactIs.isValidElementType(propValue)) {
        var propType = getPropType(propValue);
        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + propType + '` supplied to `' + componentName + '`, expected a single ReactElement type.'));
      }
      return null;
    }
    return createChainableTypeChecker(validate);
  }

  function createInstanceTypeChecker(expectedClass) {
    function validate(props, propName, componentName, location, propFullName) {
      if (!(props[propName] instanceof expectedClass)) {
        var expectedClassName = expectedClass.name || ANONYMOUS;
        var actualClassName = getClassName(props[propName]);
        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + actualClassName + '` supplied to `' + componentName + '`, expected ') + ('instance of `' + expectedClassName + '`.'));
      }
      return null;
    }
    return createChainableTypeChecker(validate);
  }

  function createEnumTypeChecker(expectedValues) {
    if (!Array.isArray(expectedValues)) {
      if (process.env.NODE_ENV !== 'production') {
        if (arguments.length > 1) {
          printWarning(
            'Invalid arguments supplied to oneOf, expected an array, got ' + arguments.length + ' arguments. ' +
            'A common mistake is to write oneOf(x, y, z) instead of oneOf([x, y, z]).'
          );
        } else {
          printWarning('Invalid argument supplied to oneOf, expected an array.');
        }
      }
      return emptyFunctionThatReturnsNull;
    }

    function validate(props, propName, componentName, location, propFullName) {
      var propValue = props[propName];
      for (var i = 0; i < expectedValues.length; i++) {
        if (is(propValue, expectedValues[i])) {
          return null;
        }
      }

      var valuesString = JSON.stringify(expectedValues, function replacer(key, value) {
        var type = getPreciseType(value);
        if (type === 'symbol') {
          return String(value);
        }
        return value;
      });
      return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of value `' + String(propValue) + '` ' + ('supplied to `' + componentName + '`, expected one of ' + valuesString + '.'));
    }
    return createChainableTypeChecker(validate);
  }

  function createObjectOfTypeChecker(typeChecker) {
    function validate(props, propName, componentName, location, propFullName) {
      if (typeof typeChecker !== 'function') {
        return new PropTypeError('Property `' + propFullName + '` of component `' + componentName + '` has invalid PropType notation inside objectOf.');
      }
      var propValue = props[propName];
      var propType = getPropType(propValue);
      if (propType !== 'object') {
        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + propType + '` supplied to `' + componentName + '`, expected an object.'));
      }
      for (var key in propValue) {
        if (has(propValue, key)) {
          var error = typeChecker(propValue, key, componentName, location, propFullName + '.' + key, ReactPropTypesSecret_1);
          if (error instanceof Error) {
            return error;
          }
        }
      }
      return null;
    }
    return createChainableTypeChecker(validate);
  }

  function createUnionTypeChecker(arrayOfTypeCheckers) {
    if (!Array.isArray(arrayOfTypeCheckers)) {
      process.env.NODE_ENV !== 'production' ? printWarning('Invalid argument supplied to oneOfType, expected an instance of array.') : void 0;
      return emptyFunctionThatReturnsNull;
    }

    for (var i = 0; i < arrayOfTypeCheckers.length; i++) {
      var checker = arrayOfTypeCheckers[i];
      if (typeof checker !== 'function') {
        printWarning(
          'Invalid argument supplied to oneOfType. Expected an array of check functions, but ' +
          'received ' + getPostfixForTypeWarning(checker) + ' at index ' + i + '.'
        );
        return emptyFunctionThatReturnsNull;
      }
    }

    function validate(props, propName, componentName, location, propFullName) {
      for (var i = 0; i < arrayOfTypeCheckers.length; i++) {
        var checker = arrayOfTypeCheckers[i];
        if (checker(props, propName, componentName, location, propFullName, ReactPropTypesSecret_1) == null) {
          return null;
        }
      }

      return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` supplied to ' + ('`' + componentName + '`.'));
    }
    return createChainableTypeChecker(validate);
  }

  function createNodeChecker() {
    function validate(props, propName, componentName, location, propFullName) {
      if (!isNode(props[propName])) {
        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` supplied to ' + ('`' + componentName + '`, expected a ReactNode.'));
      }
      return null;
    }
    return createChainableTypeChecker(validate);
  }

  function createShapeTypeChecker(shapeTypes) {
    function validate(props, propName, componentName, location, propFullName) {
      var propValue = props[propName];
      var propType = getPropType(propValue);
      if (propType !== 'object') {
        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type `' + propType + '` ' + ('supplied to `' + componentName + '`, expected `object`.'));
      }
      for (var key in shapeTypes) {
        var checker = shapeTypes[key];
        if (!checker) {
          continue;
        }
        var error = checker(propValue, key, componentName, location, propFullName + '.' + key, ReactPropTypesSecret_1);
        if (error) {
          return error;
        }
      }
      return null;
    }
    return createChainableTypeChecker(validate);
  }

  function createStrictShapeTypeChecker(shapeTypes) {
    function validate(props, propName, componentName, location, propFullName) {
      var propValue = props[propName];
      var propType = getPropType(propValue);
      if (propType !== 'object') {
        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type `' + propType + '` ' + ('supplied to `' + componentName + '`, expected `object`.'));
      }
      // We need to check all keys in case some are required but missing from
      // props.
      var allKeys = objectAssign({}, props[propName], shapeTypes);
      for (var key in allKeys) {
        var checker = shapeTypes[key];
        if (!checker) {
          return new PropTypeError(
            'Invalid ' + location + ' `' + propFullName + '` key `' + key + '` supplied to `' + componentName + '`.' +
            '\nBad object: ' + JSON.stringify(props[propName], null, '  ') +
            '\nValid keys: ' +  JSON.stringify(Object.keys(shapeTypes), null, '  ')
          );
        }
        var error = checker(propValue, key, componentName, location, propFullName + '.' + key, ReactPropTypesSecret_1);
        if (error) {
          return error;
        }
      }
      return null;
    }

    return createChainableTypeChecker(validate);
  }

  function isNode(propValue) {
    switch (typeof propValue) {
      case 'number':
      case 'string':
      case 'undefined':
        return true;
      case 'boolean':
        return !propValue;
      case 'object':
        if (Array.isArray(propValue)) {
          return propValue.every(isNode);
        }
        if (propValue === null || isValidElement(propValue)) {
          return true;
        }

        var iteratorFn = getIteratorFn(propValue);
        if (iteratorFn) {
          var iterator = iteratorFn.call(propValue);
          var step;
          if (iteratorFn !== propValue.entries) {
            while (!(step = iterator.next()).done) {
              if (!isNode(step.value)) {
                return false;
              }
            }
          } else {
            // Iterator will provide entry [k,v] tuples rather than values.
            while (!(step = iterator.next()).done) {
              var entry = step.value;
              if (entry) {
                if (!isNode(entry[1])) {
                  return false;
                }
              }
            }
          }
        } else {
          return false;
        }

        return true;
      default:
        return false;
    }
  }

  function isSymbol(propType, propValue) {
    // Native Symbol.
    if (propType === 'symbol') {
      return true;
    }

    // falsy value can't be a Symbol
    if (!propValue) {
      return false;
    }

    // 19.4.3.5 Symbol.prototype[@@toStringTag] === 'Symbol'
    if (propValue['@@toStringTag'] === 'Symbol') {
      return true;
    }

    // Fallback for non-spec compliant Symbols which are polyfilled.
    if (typeof Symbol === 'function' && propValue instanceof Symbol) {
      return true;
    }

    return false;
  }

  // Equivalent of `typeof` but with special handling for array and regexp.
  function getPropType(propValue) {
    var propType = typeof propValue;
    if (Array.isArray(propValue)) {
      return 'array';
    }
    if (propValue instanceof RegExp) {
      // Old webkits (at least until Android 4.0) return 'function' rather than
      // 'object' for typeof a RegExp. We'll normalize this here so that /bla/
      // passes PropTypes.object.
      return 'object';
    }
    if (isSymbol(propType, propValue)) {
      return 'symbol';
    }
    return propType;
  }

  // This handles more types than `getPropType`. Only used for error messages.
  // See `createPrimitiveTypeChecker`.
  function getPreciseType(propValue) {
    if (typeof propValue === 'undefined' || propValue === null) {
      return '' + propValue;
    }
    var propType = getPropType(propValue);
    if (propType === 'object') {
      if (propValue instanceof Date) {
        return 'date';
      } else if (propValue instanceof RegExp) {
        return 'regexp';
      }
    }
    return propType;
  }

  // Returns a string that is postfixed to a warning about an invalid type.
  // For example, "undefined" or "of type array"
  function getPostfixForTypeWarning(value) {
    var type = getPreciseType(value);
    switch (type) {
      case 'array':
      case 'object':
        return 'an ' + type;
      case 'boolean':
      case 'date':
      case 'regexp':
        return 'a ' + type;
      default:
        return type;
    }
  }

  // Returns class name of the object, if any.
  function getClassName(propValue) {
    if (!propValue.constructor || !propValue.constructor.name) {
      return ANONYMOUS;
    }
    return propValue.constructor.name;
  }

  ReactPropTypes.checkPropTypes = checkPropTypes_1;
  ReactPropTypes.resetWarningCache = checkPropTypes_1.resetWarningCache;
  ReactPropTypes.PropTypes = ReactPropTypes;

  return ReactPropTypes;
};

/**
 * Copyright (c) 2013-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */



function emptyFunction() {}
function emptyFunctionWithReset() {}
emptyFunctionWithReset.resetWarningCache = emptyFunction;

var factoryWithThrowingShims = function() {
  function shim(props, propName, componentName, location, propFullName, secret) {
    if (secret === ReactPropTypesSecret_1) {
      // It is still safe when called from React.
      return;
    }
    var err = new Error(
      'Calling PropTypes validators directly is not supported by the `prop-types` package. ' +
      'Use PropTypes.checkPropTypes() to call them. ' +
      'Read more at http://fb.me/use-check-prop-types'
    );
    err.name = 'Invariant Violation';
    throw err;
  }  shim.isRequired = shim;
  function getShim() {
    return shim;
  }  // Important!
  // Keep this list in sync with production version in `./factoryWithTypeCheckers.js`.
  var ReactPropTypes = {
    array: shim,
    bool: shim,
    func: shim,
    number: shim,
    object: shim,
    string: shim,
    symbol: shim,

    any: shim,
    arrayOf: getShim,
    element: shim,
    elementType: shim,
    instanceOf: getShim,
    node: shim,
    objectOf: getShim,
    oneOf: getShim,
    oneOfType: getShim,
    shape: getShim,
    exact: getShim,

    checkPropTypes: emptyFunctionWithReset,
    resetWarningCache: emptyFunction
  };

  ReactPropTypes.PropTypes = ReactPropTypes;

  return ReactPropTypes;
};

/**
 * Copyright (c) 2013-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

var propTypes = createCommonjsModule(function (module) {
if (process.env.NODE_ENV !== 'production') {
  var ReactIs = reactIs;

  // By explicitly using `prop-types` you are opting into new development behavior.
  // http://fb.me/prop-types-in-prod
  var throwOnDirectAccess = true;
  module.exports = factoryWithTypeCheckers(ReactIs.isElement, throwOnDirectAccess);
} else {
  // By explicitly using `prop-types` you are opting into new production behavior.
  // http://fb.me/prop-types-in-prod
  module.exports = factoryWithThrowingShims();
}
});

function _typeof(obj) {
  if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
    _typeof = function (obj) {
      return typeof obj;
    };
  } else {
    _typeof = function (obj) {
      return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
    };
  }

  return _typeof(obj);
}

function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
}

function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function _objectSpread2(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      ownKeys(Object(source), true).forEach(function (key) {
        _defineProperty(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}

function _objectWithoutPropertiesLoose(source, excluded) {
  if (source == null) return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;

  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0) continue;
    target[key] = source[key];
  }

  return target;
}

function _objectWithoutProperties(source, excluded) {
  if (source == null) return {};

  var target = _objectWithoutPropertiesLoose(source, excluded);

  var key, i;

  if (Object.getOwnPropertySymbols) {
    var sourceSymbolKeys = Object.getOwnPropertySymbols(source);

    for (i = 0; i < sourceSymbolKeys.length; i++) {
      key = sourceSymbolKeys[i];
      if (excluded.indexOf(key) >= 0) continue;
      if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
      target[key] = source[key];
    }
  }

  return target;
}

function _toConsumableArray(arr) {
  return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _nonIterableSpread();
}

function _arrayWithoutHoles(arr) {
  if (Array.isArray(arr)) {
    for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++) arr2[i] = arr[i];

    return arr2;
  }
}

function _iterableToArray(iter) {
  if (Symbol.iterator in Object(iter) || Object.prototype.toString.call(iter) === "[object Arguments]") return Array.from(iter);
}

function _nonIterableSpread() {
  throw new TypeError("Invalid attempt to spread non-iterable instance");
}

// Get CSS class list from a props object
function classList(props) {
  var _classes;

  var spin = props.spin,
      pulse = props.pulse,
      fixedWidth = props.fixedWidth,
      inverse = props.inverse,
      border = props.border,
      listItem = props.listItem,
      flip = props.flip,
      size = props.size,
      rotation = props.rotation,
      pull = props.pull; // map of CSS class names to properties

  var classes = (_classes = {
    'fa-spin': spin,
    'fa-pulse': pulse,
    'fa-fw': fixedWidth,
    'fa-inverse': inverse,
    'fa-border': border,
    'fa-li': listItem,
    'fa-flip-horizontal': flip === 'horizontal' || flip === 'both',
    'fa-flip-vertical': flip === 'vertical' || flip === 'both'
  }, _defineProperty(_classes, "fa-".concat(size), typeof size !== 'undefined' && size !== null), _defineProperty(_classes, "fa-rotate-".concat(rotation), typeof rotation !== 'undefined' && rotation !== null && rotation !== 0), _defineProperty(_classes, "fa-pull-".concat(pull), typeof pull !== 'undefined' && pull !== null), _defineProperty(_classes, 'fa-swap-opacity', props.swapOpacity), _classes); // map over all the keys in the classes object
  // return an array of the keys where the value for the key is not null

  return Object.keys(classes).map(function (key) {
    return classes[key] ? key : null;
  }).filter(function (key) {
    return key;
  });
}

// Camelize taken from humps
// humps is copyright © 2012+ Dom Christie
// Released under the MIT license.
// Performant way to determine if object coerces to a number
function _isNumerical(obj) {
  obj = obj - 0; // eslint-disable-next-line no-self-compare

  return obj === obj;
}

function camelize(string) {
  if (_isNumerical(string)) {
    return string;
  } // eslint-disable-next-line no-useless-escape


  string = string.replace(/[\-_\s]+(.)?/g, function (match, chr) {
    return chr ? chr.toUpperCase() : '';
  }); // Ensure 1st char is always lowercase

  return string.substr(0, 1).toLowerCase() + string.substr(1);
}

function capitalize(val) {
  return val.charAt(0).toUpperCase() + val.slice(1);
}

function styleToObject(style) {
  return style.split(';').map(function (s) {
    return s.trim();
  }).filter(function (s) {
    return s;
  }).reduce(function (acc, pair) {
    var i = pair.indexOf(':');
    var prop = camelize(pair.slice(0, i));
    var value = pair.slice(i + 1).trim();
    prop.startsWith('webkit') ? acc[capitalize(prop)] = value : acc[prop] = value;
    return acc;
  }, {});
}

function convert(createElement, element) {
  var extraProps = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};

  if (typeof element === 'string') {
    return element;
  }

  var children = (element.children || []).map(function (child) {
    return convert(createElement, child);
  });
  /* eslint-disable dot-notation */

  var mixins = Object.keys(element.attributes || {}).reduce(function (acc, key) {
    var val = element.attributes[key];

    switch (key) {
      case 'class':
        acc.attrs['className'] = val;
        delete element.attributes['class'];
        break;

      case 'style':
        acc.attrs['style'] = styleToObject(val);
        break;

      default:
        if (key.indexOf('aria-') === 0 || key.indexOf('data-') === 0) {
          acc.attrs[key.toLowerCase()] = val;
        } else {
          acc.attrs[camelize(key)] = val;
        }

    }

    return acc;
  }, {
    attrs: {}
  });

  var _extraProps$style = extraProps.style,
      existingStyle = _extraProps$style === void 0 ? {} : _extraProps$style,
      remaining = _objectWithoutProperties(extraProps, ["style"]);

  mixins.attrs['style'] = _objectSpread2({}, mixins.attrs['style'], {}, existingStyle);
  /* eslint-enable */

  return createElement.apply(void 0, [element.tag, _objectSpread2({}, mixins.attrs, {}, remaining)].concat(_toConsumableArray(children)));
}

var PRODUCTION = false;

try {
  PRODUCTION = process.env.NODE_ENV === 'production';
} catch (e) {}

function log () {
  if (!PRODUCTION && console && typeof console.error === 'function') {
    var _console;

    (_console = console).error.apply(_console, arguments);
  }
}

function normalizeIconArgs(icon) {
  if (parse.icon) {
    return parse.icon(icon);
  } // if the icon is null, there's nothing to do


  if (icon === null) {
    return null;
  } // if the icon is an object and has a prefix and an icon name, return it


  if (_typeof(icon) === 'object' && icon.prefix && icon.iconName) {
    return icon;
  } // if it's an array with length of two


  if (Array.isArray(icon) && icon.length === 2) {
    // use the first item as prefix, second as icon name
    return {
      prefix: icon[0],
      iconName: icon[1]
    };
  } // if it's a string, use it as the icon name


  if (typeof icon === 'string') {
    return {
      prefix: 'fas',
      iconName: icon
    };
  }
}

// creates an object with a key of key
// and a value of value
// if certain conditions are met
function objectWithKey(key, value) {
  // if the value is a non-empty array
  // or it's not an array but it is truthy
  // then create the object with the key and the value
  // if not, return an empty array
  return Array.isArray(value) && value.length > 0 || !Array.isArray(value) && value ? _defineProperty({}, key, value) : {};
}

function FontAwesomeIcon(_ref) {
  var forwardedRef = _ref.forwardedRef,
      props = _objectWithoutProperties(_ref, ["forwardedRef"]);

  var iconArgs = props.icon,
      maskArgs = props.mask,
      symbol = props.symbol,
      className = props.className,
      title = props.title,
      titleId = props.titleId;
  var iconLookup = normalizeIconArgs(iconArgs);
  var classes = objectWithKey('classes', [].concat(_toConsumableArray(classList(props)), _toConsumableArray(className.split(' '))));
  var transform = objectWithKey('transform', typeof props.transform === 'string' ? parse.transform(props.transform) : props.transform);
  var mask = objectWithKey('mask', normalizeIconArgs(maskArgs));
  var renderedIcon = icon$1(iconLookup, _objectSpread2({}, classes, {}, transform, {}, mask, {
    symbol: symbol,
    title: title,
    titleId: titleId
  }));

  if (!renderedIcon) {
    log('Could not find icon', iconLookup);
    return null;
  }

  var abstract = renderedIcon.abstract;
  var extraProps = {
    ref: forwardedRef
  };
  Object.keys(props).forEach(function (key) {
    // eslint-disable-next-line no-prototype-builtins
    if (!FontAwesomeIcon.defaultProps.hasOwnProperty(key)) {
      extraProps[key] = props[key];
    }
  });
  return convertCurry(abstract[0], extraProps);
}
FontAwesomeIcon.displayName = 'FontAwesomeIcon';
FontAwesomeIcon.propTypes = {
  border: propTypes.bool,
  className: propTypes.string,
  mask: propTypes.oneOfType([propTypes.object, propTypes.array, propTypes.string]),
  fixedWidth: propTypes.bool,
  inverse: propTypes.bool,
  flip: propTypes.oneOf(['horizontal', 'vertical', 'both']),
  icon: propTypes.oneOfType([propTypes.object, propTypes.array, propTypes.string]),
  listItem: propTypes.bool,
  pull: propTypes.oneOf(['right', 'left']),
  pulse: propTypes.bool,
  rotation: propTypes.oneOf([0, 90, 180, 270]),
  size: propTypes.oneOf(['lg', 'xs', 'sm', '1x', '2x', '3x', '4x', '5x', '6x', '7x', '8x', '9x', '10x']),
  spin: propTypes.bool,
  symbol: propTypes.oneOfType([propTypes.bool, propTypes.string]),
  title: propTypes.string,
  transform: propTypes.oneOfType([propTypes.string, propTypes.object]),
  swapOpacity: propTypes.bool
};
FontAwesomeIcon.defaultProps = {
  border: false,
  className: '',
  mask: null,
  fixedWidth: false,
  inverse: false,
  flip: null,
  icon: null,
  listItem: false,
  pull: null,
  pulse: false,
  rotation: null,
  size: null,
  spin: false,
  symbol: false,
  title: '',
  transform: null,
  swapOpacity: false
};
var convertCurry = convert.bind(null, React.createElement);

/*!
 * Font Awesome Free 5.15.3 by @fontawesome - https://fontawesome.com
 * License - https://fontawesome.com/license/free (Icons: CC BY 4.0, Fonts: SIL OFL 1.1, Code: MIT License)
 */
var faBars = {
  prefix: 'fas',
  iconName: 'bars',
  icon: [448, 512, [], "f0c9", "M16 132h416c8.837 0 16-7.163 16-16V76c0-8.837-7.163-16-16-16H16C7.163 60 0 67.163 0 76v40c0 8.837 7.163 16 16 16zm0 160h416c8.837 0 16-7.163 16-16v-40c0-8.837-7.163-16-16-16H16c-8.837 0-16 7.163-16 16v40c0 8.837 7.163 16 16 16zm0 160h416c8.837 0 16-7.163 16-16v-40c0-8.837-7.163-16-16-16H16c-8.837 0-16 7.163-16 16v40c0 8.837 7.163 16 16 16z"]
};
var faCheckCircle = {
  prefix: 'fas',
  iconName: 'check-circle',
  icon: [512, 512, [], "f058", "M504 256c0 136.967-111.033 248-248 248S8 392.967 8 256 119.033 8 256 8s248 111.033 248 248zM227.314 387.314l184-184c6.248-6.248 6.248-16.379 0-22.627l-22.627-22.627c-6.248-6.249-16.379-6.249-22.628 0L216 308.118l-70.059-70.059c-6.248-6.248-16.379-6.248-22.628 0l-22.627 22.627c-6.248 6.248-6.248 16.379 0 22.627l104 104c6.249 6.249 16.379 6.249 22.628.001z"]
};
var faTimesCircle = {
  prefix: 'fas',
  iconName: 'times-circle',
  icon: [512, 512, [], "f057", "M256 8C119 8 8 119 8 256s111 248 248 248 248-111 248-248S393 8 256 8zm121.6 313.1c4.7 4.7 4.7 12.3 0 17L338 377.6c-4.7 4.7-12.3 4.7-17 0L256 312l-65.1 65.6c-4.7 4.7-12.3 4.7-17 0L134.4 338c-4.7-4.7-4.7-12.3 0-17l65.6-65-65.6-65.1c-4.7-4.7-4.7-12.3 0-17l39.6-39.6c4.7-4.7 12.3-4.7 17 0l65 65.7 65.1-65.6c4.7-4.7 12.3-4.7 17 0l39.6 39.6c4.7 4.7 4.7 12.3 0 17L312 256l65.6 65.1z"]
};

/*! *****************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */

var __assign = function() {
    __assign = Object.assign || function __assign(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};

function __rest(s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
}

function __spreadArray(to, from) {
    for (var i = 0, il = from.length, j = to.length; i < il; i++, j++)
        to[j] = from[i];
    return to;
}

var ITBem;
(function (ITBem) {
    ITBem["DEFAULT"] = "-";
    ITBem["MODIFIER"] = "--";
    ITBem["BLOCK"] = "";
    ITBem["CHILD"] = "_";
})(ITBem || (ITBem = {}));
var BEM = /** @class */ (function () {
    function BEM(parent, classNames) {
        this._listClassNames = [];
        this._parent = parent;
        this._classNames = classNames;
        this._listClassNames.push(parent);
    }
    BEM.prototype.GetParent = function () {
        return this._parent;
    };
    BEM.prototype.toString = function () {
        var _this = this;
        return Object.entries(this._classNames).reduce(function (previousValue, currentValue) {
            if (currentValue[1]) {
                if (typeof currentValue[1] == "string") {
                    previousValue.push(_this._parent + ITBem.MODIFIER + currentValue[0] + ITBem.DEFAULT + currentValue[1]);
                }
                else if (typeof currentValue[1] == "boolean") {
                    previousValue.push(_this._parent + ITBem.MODIFIER + currentValue[0]);
                }
            }
            return previousValue;
        }, __spreadArray([], this._listClassNames)).join(" ");
    };
    BEM.prototype.Append = function (className) {
        if (!className)
            return this;
        this._listClassNames.push(className);
        return this;
    };
    BEM.prototype.Children = function (name, extra) {
        if (extra === void 0) { extra = ""; }
        return this._parent + "__" + name + (extra ? " " + extra : '');
    };
    BEM.prototype.Modifier = function (children, modifier, active, extra) {
        if (extra === void 0) { extra = ""; }
        var data = [this._parent + "__" + children];
        if (active) {
            data.push(this._parent + "__" + children + "--" + modifier);
        }
        if (extra) {
            data.push(extra);
        }
        return data.join(" ");
    };
    return BEM;
}());

// Generated with util/create-component.js
var ActiveItem = function (props) {
    var bm = new BEM("ActiveItem", {});
    bm.Append(props.className);
    return (React.createElement("div", { className: bm.toString(), style: props.style },
        React.createElement("span", null,
            React.createElement(FontAwesomeIcon, { icon: props.active ? faCheckCircle : faTimesCircle })),
        React.createElement("span", null, props.title)));
};

var css_248z$Q = ".Arrow {\n  display: inline-block; }\n  .Arrow::before, .Arrow::after {\n    content: \"\";\n    width: 10px;\n    height: 2px;\n    border-radius: 1px;\n    background: var(--active);\n    display: block;\n    transform-origin: 10.2px 50%; }\n  .Arrow::before {\n    transform: rotate(-40deg); }\n  .Arrow::after {\n    transform: rotate(40deg); }\n";
styleInject(css_248z$Q);

// Generated with util/create-component.js
var Arrow = function (props) {
    var bm = new BEM("Arrow", {});
    bm.Append(props.className);
    return (React.createElement("i", { style: props.style, className: bm.toString() }));
};

var css_248z$P = ".Image {\n  border-style: none;\n  max-width: 100%;\n  height: auto;\n  box-shadow: 0 20px 40px rgba(0, 0, 0, 0.6);\n  width: 100%;\n  display: block; }\n  .Image img {\n    width: 100%;\n    display: block; }\n";
styleInject(css_248z$P);

// Generated with util/create-component.js
var Image = function (props) {
    var _a;
    var bm = new BEM("Image", {});
    bm.Append(props.className);
    return (React.createElement("picture", { className: bm.toString(), style: props.style },
        React.createElement("img", { src: props.src, alt: (_a = props.alt) !== null && _a !== void 0 ? _a : props.title, title: props.title })));
};

var css_248z$O = ".Avatar img {\n  width: 50px;\n  height: 50px;\n  object-fit: cover; }\n  .Avatar img:hover {\n    cursor: pointer; }\n";
styleInject(css_248z$O);

// Generated with util/create-component.js
var Avatar = function (props) {
    var bm = new BEM("Avatar", {});
    bm.Append(props.className);
    return (React.createElement("div", { className: bm.toString(), style: props.style },
        React.createElement(Image, { src: props.image })));
};

var css_248z$N = ".Badge {\n  display: inline-block;\n  padding: .25em .4em;\n  font-size: 70%;\n  font-weight: 700;\n  line-height: 1;\n  text-align: center;\n  white-space: nowrap;\n  vertical-align: baseline;\n  border-radius: 5px;\n  transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out; }\n  .Badge--primary {\n    color: #fff;\n    background-color: var(--iq-primary); }\n  .Badge--secondary {\n    color: #fff;\n    background-color: var(--iq-secondary); }\n  .Badge--no-radius {\n    border-radius: 0; }\n";
styleInject(css_248z$N);

// Generated with util/create-component.js
var Badge = function (props) {
    var _a;
    var _b = props.radius, radius = _b === void 0 ? true : _b;
    var bm = new BEM("Badge", (_a = {},
        _a[props.theme] = !!props.theme,
        _a.radius = radius,
        _a["no-radius"] = !radius,
        _a));
    bm.Append(props.className);
    return (React.createElement("div", { className: bm.toString(), style: props.style },
        React.createElement("span", null, props.label)));
};

var css_248z$M = ".Button {\n  font-family: \"Avenir Next\", Helvetica, Arial, sans-serif;\n  display: inline-block;\n  font-weight: 400;\n  color: #212529;\n  text-align: center;\n  vertical-align: middle;\n  cursor: pointer;\n  -webkit-user-select: none;\n  -moz-user-select: none;\n  -ms-user-select: none;\n  user-select: none;\n  background-color: transparent;\n  border: 1px solid transparent;\n  padding: .375rem .75rem;\n  font-size: 1rem;\n  line-height: 1.5;\n  border-radius: 10px;\n  transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out; }\n  .Button--default {\n    color: #fff;\n    background-color: var(--blue);\n    border-color: var(--blue);\n    transition: background-color 0.3s ease-in-out;\n    -webkit-transition: background-color 0.3s ease-in-out;\n    -moz-transition: background-color 0.3s ease-in-out;\n    -o-transition: background-color 0.3s ease-in-out; }\n    .Button--default:hover {\n      opacity: .8;\n      cursor: pointer; }\n  .Button--single {\n    background-color: var(--iq-primary);\n    border: 1px solid var(--iq-primary-hover);\n    color: var(--iq-white);\n    text-transform: uppercase;\n    border-radius: 0; }\n  .Button--block {\n    width: 100%; }\n  .Button--dark {\n    background-color: #151f30;\n    color: white; }\n";
styleInject(css_248z$M);

var Button = function (_a) {
    var children = _a.children, props = __rest(_a, ["children"]);
    var bm = new BEM("Button", {
        default: props.default,
        single: props.single,
        dark: props.dark,
        block: props.block,
    });
    bm.Append(props.className);
    return (React.createElement("button", { style: props.style, onClick: props.onClick, className: bm.toString() }, children));
};

var css_248z$L = ".foo-bar {\n  font-family: \"Avenir Next\", Helvetica, Arial, sans-serif;\n  color: #005f20; }\n";
styleInject(css_248z$L);

var ButtonDefault = function (_a) {
    var props = __rest(_a, []);
    return (React.createElement(Button, __assign({ default: true, single: true }, props)));
};

var css_248z$K = ".Card {\n  font-family: \"Avenir Next\", Helvetica, Arial, sans-serif;\n  border-radius: 4px;\n  background-color: var(--iq-white);\n  padding: 10px;\n  position: relative; }\n  .Card__image {\n    max-width: 100%;\n    height: auto;\n    display: block; }\n  .Card--default {\n    padding: 0;\n    background: none; }\n";
styleInject(css_248z$K);

// Generated with util/create-component.js
var Card = function (props) {
    var bm = new BEM("Card", {
        default: props.default,
    });
    bm.Append(props.className);
    return (React.createElement("div", { className: bm.toString(), style: props.style },
        props.image && (React.createElement("img", { className: bm.Children("image"), src: props.image, alt: props.imageAlt, title: props.imageTitle })),
        props.children));
};

var css_248z$J = "";
styleInject(css_248z$J);

// Generated with util/create-component.js
var CardContent = function (props) {
    var bm = new BEM("CardContent", {});
    bm.Append(props.className);
    return (React.createElement("div", { className: bm.toString() }, props.children));
};

var css_248z$I = ".CardFooter {\n  border-radius: 5px 5px 0 0;\n  text-align: center;\n  padding: 1rem; }\n";
styleInject(css_248z$I);

// Generated with util/create-component.js
var CardFooter = function (props) {
    var bm = new BEM("CardFooter", {});
    bm.Append(props.className);
    return (React.createElement("footer", { className: bm.toString(), style: props.style }, props.children));
};

var css_248z$H = ".CardHeader {\n  border-radius: 5px 5px 0 0;\n  color: var(--iq-white);\n  background: var(--iq-primary);\n  padding: 1rem; }\n  .CardHeader h5 {\n    font-size: 1.2em;\n    color: var(--iq-white); }\n  .CardHeader span {\n    color: var(--iq-white);\n    font-size: 12px; }\n";
styleInject(css_248z$H);

// Generated with util/create-component.js
var CardHeader = function (props) {
    var bm = new BEM("CardHeader", {});
    bm.Append(props.className);
    return (React.createElement("header", { className: bm.toString() },
        React.createElement("h5", null, props.title),
        React.createElement("span", null, props.subTitle)));
};

var css_248z$G = ".CardIcon {\n  width: 45px;\n  height: 45px;\n  line-height: 40px;\n  font-size: 22px;\n  background: var(--iq-light-primary);\n  border-radius: 5px;\n  display: inline-flex;\n  align-items: center;\n  justify-content: center; }\n  .CardIcon, .CardIcon:focus, .CardIcon:hover {\n    color: var(--iq-primary); }\n";
styleInject(css_248z$G);

// Generated with util/create-component.js
var CardIcon = function (props) {
    var bm = new BEM("CardIcon", {});
    bm.Append(props.className);
    return (React.createElement("div", { className: bm.toString(), style: props.style }, props.icon));
};

var css_248z$F = ".CardTitle {\n  border-radius: 5px 5px 0 0;\n  margin-left: 1rem;\n  flex: 1; }\n  .CardTitle p {\n    font-size: 12px; }\n  .CardTitle h6 {\n    font-size: 1em; }\n";
styleInject(css_248z$F);

// Generated with util/create-component.js
var CardTitle = function (props) {
    var bm = new BEM("CardTitle", {});
    bm.Append(props.className);
    return (React.createElement("div", { className: bm.toString(), style: props.style },
        React.createElement("h6", null, props.title),
        React.createElement("p", null, props.subTitle)));
};

var css_248z$E = ".CardTitleDescription {\n  font-family: \"Avenir Next\", Helvetica, Arial, sans-serif; }\n  .CardTitleDescription h6 {\n    font-size: 1.5em; }\n  .CardTitleDescription > div {\n    display: flex;\n    align-items: center; }\n    .CardTitleDescription > div > span {\n      font-size: 14px;\n      margin-left: 10px; }\n";
styleInject(css_248z$E);

// Generated with util/create-component.js
var CardTitleDescription = function (props) {
    var bm = new BEM("CardTitleDescription", {});
    bm.Append(props.className);
    return (React.createElement("div", { className: bm.toString(), style: props.style },
        React.createElement("h6", null, props.title),
        React.createElement("div", null,
            props.label && React.createElement(Badge, { radius: false, theme: "secondary", label: props.label }),
            React.createElement("span", null, props.description))));
};

var css_248z$D = "@keyframes fadeInLeft {\n  0% {\n    opacity: 0;\n    transform: translate3d(-100%, 0, 0); }\n  100% {\n    opacity: 1;\n    transform: translateZ(0); } }\n\n@keyframes fadeInUp {\n  0% {\n    opacity: 0;\n    transform: translate3d(0, 100%, 0); }\n  100% {\n    opacity: 1;\n    transform: translateZ(0); } }\n\n@keyframes fadeInRight {\n  0% {\n    opacity: 0;\n    transform: translate3d(100%, 0, 0); }\n  100% {\n    opacity: 1;\n    transform: translateZ(0); } }\n\n@keyframes fadeInBottom {\n  0% {\n    transform: translateY(50px);\n    opacity: 0; }\n  100% {\n    transform: translateY(0);\n    opacity: 1; } }\n\n.CardTitleDetail h1 {\n  font-size: 80px;\n  background-repeat: repeat-x;\n  background-position: 100% 100%;\n  color: transparent;\n  -webkit-font-smoothing: antialiased;\n  -webkit-background-clip: text;\n  -moz-background-clip: text;\n  background-clip: text;\n  -webkit-text-fill-color: transparent;\n  text-transform: uppercase; }\n\n.CardTitleDetail h1, .CardTitleDetail p, .CardTitleDetail__buttons, .CardTitleDetail .ListData {\n  -webkit-animation-duration: 1s;\n  animation-duration: 1s;\n  -webkit-animation-fill-mode: both;\n  animation-fill-mode: both; }\n\n.CardTitleDetail h1 {\n  opacity: 0;\n  -webkit-animation-duration: 1.5s;\n  animation-duration: 1.5s;\n  transition: opacity .5s ease .3s;\n  transition: 1s;\n  animation-name: fadeInLeft; }\n\n.CardTitleDetail p, .CardTitleDetail__buttons {\n  animation-name: fadeInUp;\n  opacity: 0;\n  -webkit-animation-duration: 1.5s;\n  animation-duration: 1.5s;\n  transition: opacity .5s ease .3s;\n  transition: 1s; }\n\n.CardTitleDetail .ListData {\n  animation-name: fadeInRight;\n  opacity: 0;\n  -webkit-animation-duration: 1.5s;\n  animation-duration: 1.5s;\n  transition: opacity .5s ease .3s;\n  transition: 1s; }\n\n.CardTitleDetail h1 {\n  animation-delay: 0.6s;\n  margin: 0;\n  padding: 0; }\n\n.CardTitleDetail p {\n  animation-delay: 1s;\n  max-width: 600px;\n  overflow: hidden;\n  text-overflow: ellipsis;\n  display: -webkit-box;\n  -webkit-line-clamp: 3;\n  color: var(--iq-body-text);\n  -webkit-box-orient: vertical;\n  margin-bottom: 1.2em; }\n\n.CardTitleDetail__buttons {\n  animation-delay: 1.4s; }\n\n.CardTitleDetail .Button {\n  color: var(--iq-body-text); }\n";
styleInject(css_248z$D);

var css_248z$C = ".ListData {\n  margin: 0 0 1.2em 0; }\n";
styleInject(css_248z$C);

var css_248z$B = ".ListDataItem {\n  font-size: 1.1em;\n  font-weight: 500; }\n  .ListDataItem b {\n    color: var(--iq-primary); }\n  .ListDataItem span {\n    font-size: 16px;\n    font-weight: 400;\n    color: var(--iq-body-text);\n    margin-left: 5px; }\n";
styleInject(css_248z$B);

// Generated with util/create-component.js
var ListDataItem = function (props) {
    var bm = new BEM("ListDataItem", {});
    bm.Append(props.className);
    return (React.createElement("div", { className: bm.toString(), style: props.style },
        React.createElement("b", null,
            props.header,
            ":"),
        React.createElement("span", null, props.description)));
};

var ListData = function (props) {
    var bm = new BEM("ListData", {});
    bm.Append(props.className);
    return (React.createElement("div", { className: bm.toString(), style: props.style }, props.data.map((function (value, index) { return (React.createElement(ListDataItem, __assign({}, value, { key: index }))); }))));
};

var CardTitleDetail = function (props) {
    var _a, _b;
    var bm = new BEM("CardTitleDetail", {});
    bm.Append(props.className);
    var _c = props.list, list = _c === void 0 ? [] : _c;
    return (React.createElement("div", { className: bm.toString(), style: props.style },
        React.createElement("h1", null, props.title),
        React.createElement("p", null, props.description),
        React.createElement(ListData, { data: list }),
        React.createElement("div", { className: bm.Children("buttons") },
            React.createElement(ButtonDefault, { onClick: props.onClickPlay }, (_a = props.buttonPlayText) !== null && _a !== void 0 ? _a : 'Reproducir ahora'),
            React.createElement(Button, { onClick: props.onClickDetail }, (_b = props.buttonDetailText) !== null && _b !== void 0 ? _b : 'Más detalles')),
        React.createElement("style", null, "\n                h1 {              \n                    background: url(/images/bigTitle.jpg)                  \n                }\n            ")));
};

var css_248z$A = ".Carousel {\n  position: relative;\n  box-sizing: border-box;\n  -webkit-user-select: none;\n  -moz-user-select: none;\n  -ms-user-select: none;\n  user-select: none;\n  -webkit-touch-callout: none;\n  -khtml-user-select: none;\n  touch-action: pan-y;\n  -webkit-tap-highlight-color: transparent;\n  overflow: hidden;\n  margin-bottom: 40px; }\n  .Carousel .SlickArrow {\n    position: absolute;\n    top: 0;\n    bottom: 0;\n    right: 40px;\n    z-index: 2;\n    margin: auto; }\n    .Carousel .SlickArrow--left {\n      left: 40px;\n      right: initial; }\n";
styleInject(css_248z$A);

var css_248z$z = ".SlickList {\n  display: flex; }\n  .SlickList .SlickItem {\n    position: relative;\n    width: 100%;\n    height: 100vh;\n    flex: none; }\n    .SlickList .SlickItem img {\n      object-fit: cover;\n      height: 100%; }\n  .SlickList--isDetail .SlickVideoItem,\n  .SlickList--isDetail .SlickItem {\n    background-image: linear-gradient(180deg, rgba(51, 51, 51, 0), rgba(0, 0, 0, 0.6) 75%, var(--iq-black));\n    height: 80vh; }\n    .SlickList--isDetail .SlickVideoItem:first-child, .SlickList--isDetail .SlickVideoItem:last-child,\n    .SlickList--isDetail .SlickItem:first-child,\n    .SlickList--isDetail .SlickItem:last-child {\n      opacity: .4;\n      filter: blur(3px);\n      box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.2), 0 1px 1px 0 rgba(0, 0, 0, 0.14), 0 2px 1px -1px rgba(0, 0, 0, 0.12);\n      flex: 0 200px; }\n      .SlickList--isDetail .SlickVideoItem:first-child section, .SlickList--isDetail .SlickVideoItem:last-child section,\n      .SlickList--isDetail .SlickItem:first-child section,\n      .SlickList--isDetail .SlickItem:last-child section {\n        display: none; }\n";
styleInject(css_248z$z);

var css_248z$y = "@keyframes fadeInLeft {\n  0% {\n    opacity: 0;\n    transform: translate3d(-100%, 0, 0); }\n  100% {\n    opacity: 1;\n    transform: translateZ(0); } }\n\n@keyframes fadeInUp {\n  0% {\n    opacity: 0;\n    transform: translate3d(0, 100%, 0); }\n  100% {\n    opacity: 1;\n    transform: translateZ(0); } }\n\n@keyframes fadeInRight {\n  0% {\n    opacity: 0;\n    transform: translate3d(100%, 0, 0); }\n  100% {\n    opacity: 1;\n    transform: translateZ(0); } }\n\n@keyframes fadeInBottom {\n  0% {\n    transform: translateY(50px);\n    opacity: 0; }\n  100% {\n    transform: translateY(0);\n    opacity: 1; } }\n\n.SlickItem h1 {\n  font-size: 80px;\n  background-repeat: repeat-x;\n  background-position: 100% 100%;\n  color: transparent;\n  -webkit-font-smoothing: antialiased;\n  -webkit-background-clip: text;\n  -moz-background-clip: text;\n  background-clip: text;\n  -webkit-text-fill-color: transparent;\n  text-transform: uppercase; }\n\n.SlickItem h1, .SlickItem p {\n  -webkit-animation-duration: 1s;\n  animation-duration: 1s;\n  -webkit-animation-fill-mode: both;\n  animation-fill-mode: both; }\n\n.SlickItem h1 {\n  opacity: 0;\n  -webkit-animation-duration: 1.5s;\n  animation-duration: 1.5s;\n  transition: opacity .5s ease .3s;\n  transition: 1s;\n  animation-name: fadeInLeft; }\n\n.SlickItem p {\n  animation-name: fadeInUp;\n  opacity: 0;\n  -webkit-animation-duration: 1.5s;\n  animation-duration: 1.5s;\n  transition: opacity .5s ease .3s;\n  transition: 1s; }\n\n.SlickItem {\n  position: relative;\n  flex: 1;\n  transition: all 2s linear; }\n  .SlickItem img {\n    width: 100%;\n    display: block; }\n  .SlickItem div {\n    position: absolute;\n    top: 0;\n    left: 0;\n    bottom: 0;\n    display: flex;\n    align-items: flex-start;\n    justify-content: center;\n    padding: 40px;\n    flex-direction: column;\n    text-align: left; }\n    .SlickList .SlickItem div {\n      margin-left: 80px; }\n  .SlickItem h1 {\n    animation-delay: 0.6s;\n    margin: 0;\n    padding: 0; }\n  .SlickItem p {\n    animation-delay: 1s;\n    max-width: 600px;\n    overflow: hidden;\n    text-overflow: ellipsis;\n    display: -webkit-box;\n    -webkit-line-clamp: 3;\n    color: var(--iq-body-text);\n    -webkit-box-orient: vertical; }\n";
styleInject(css_248z$y);

// Generated with util/create-component.js
var SlickItem = function (props) {
    var bm = new BEM("SlickItem", {});
    bm.Append(props.className);
    return (React.createElement("div", { className: bm.toString(), style: props.style },
        React.createElement("img", { src: props.image, alt: props.title, title: props.title }),
        (props.title || props.description) && (React.createElement("div", null,
            React.createElement("h1", null, props.title),
            React.createElement("p", null, props.description))),
        React.createElement("style", null, "\n                h1 {              \n                    background: url(images/bigTitle.jpg)                  \n                }\n            ")));
};

var css_248z$x = ".Grid {\n  display: grid;\n  grid-gap: 0.8em; }\n  @media (min-width: 480px) {\n    .Grid--default {\n      grid-template-columns: repeat(2, 1fr); } }\n  @media (min-width: 768px) {\n    .Grid--default {\n      grid-template-columns: repeat(3, 1fr); } }\n  @media (min-width: 1024px) {\n    .Grid--default {\n      grid-template-columns: repeat(4, 1fr); } }\n  @media (min-width: 1200px) {\n    .Grid--default {\n      grid-template-columns: repeat(5, 1fr); } }\n  @media (min-width: 1400px) {\n    .Grid--default {\n      grid-template-columns: repeat(6, 1fr); } }\n  .Grid--col-1 {\n    grid-template-columns: repeat(1, 1fr); }\n  .Grid--col-2 {\n    grid-template-columns: repeat(2, 1fr); }\n  .Grid--col-3 {\n    grid-template-columns: repeat(3, 1fr); }\n  .Grid--col-4 {\n    grid-template-columns: repeat(4, 1fr); }\n  .Grid--col-5 {\n    grid-template-columns: repeat(5, 1fr); }\n  .Grid--col-6 {\n    grid-template-columns: repeat(6, 1fr); }\n  .Grid--col-7 {\n    grid-template-columns: repeat(7, 1fr); }\n  .Grid--col-8 {\n    grid-template-columns: repeat(8, 1fr); }\n  .Grid--col-9 {\n    grid-template-columns: repeat(9, 1fr); }\n  .Grid--col-10 {\n    grid-template-columns: repeat(10, 1fr); }\n  .Grid--col-11 {\n    grid-template-columns: repeat(11, 1fr); }\n  .Grid--col-12 {\n    grid-template-columns: repeat(12, 1fr); }\n";
styleInject(css_248z$x);

// Generated with util/create-component.js
var Grid = function (props) {
    var _a;
    var _b = props.isDefault, isDefault = _b === void 0 ? true : _b;
    var bm = new BEM("Grid", (_a = {
            default: isDefault
        },
        _a["col-" + props.col] = !!props.col,
        _a));
    bm.Append(props.className);
    return (React.createElement("div", { style: props.style, className: bm.toString() }, props.children));
};

var SlickList = function (props) {
    var _a, _b, _c;
    var className = props.className, style = props.style, _d = props.data, data = _d === void 0 ? [] : _d, _e = props.active, active = _e === void 0 ? 0 : _e;
    var bm = new BEM("SlickList", {
        isDetail: props.isDetail,
    });
    bm.Append(className);
    var Component = (_a = props.component) !== null && _a !== void 0 ? _a : SlickItem;
    var dataComponents = data.map((function (item, index) {
        if (!props.col && (index != active))
            return null;
        return (React.createElement(Component, __assign({ key: index }, item)));
    }));
    var componentResult = null;
    if (props.col) {
        componentResult = (React.createElement(Grid, { col: props.col }, dataComponents.slice(props.col * active, active > 0 ? (props.col * active) + props.col : props.col)));
    }
    else if (props.isDetail) {
        componentResult = [
            React.createElement(Component, __assign({ key: 0 }, (_b = data[active - 1]) !== null && _b !== void 0 ? _b : data[data.length - 1])),
            dataComponents,
            React.createElement(Component, __assign({ key: 2 }, (_c = data[active + 1]) !== null && _c !== void 0 ? _c : data[0]))
        ];
    }
    else {
        componentResult = dataComponents;
    }
    return (React.createElement("div", { className: bm.toString(), style: style }, componentResult));
};

var css_248z$w = ".SlickArrow {\n  --active: #fff;\n  --border: hsla(0, 0%, 100%, 0.12);\n  width: 44px;\n  height: 44px;\n  position: absolute;\n  cursor: pointer;\n  display: flex;\n  align-items: center;\n  justify-content: center; }\n  .SlickArrow::before, .SlickArrow::after {\n    content: \"\";\n    display: block;\n    position: absolute;\n    left: 1px;\n    right: 1px;\n    top: 1px;\n    bottom: 1px;\n    border-radius: 50%;\n    border: 2px solid var(--border); }\n  .SlickArrow--left {\n    transform: rotate(180deg); }\n";
styleInject(css_248z$w);

// Generated with util/create-component.js
var SlickArrow = function (props) {
    var left = props.left;
    var bm = new BEM("SlickArrow", {
        left: left
    });
    bm.Append(props.className);
    return (React.createElement("div", { onClick: props.onClick, style: props.style, className: bm.toString() },
        React.createElement(Arrow, { className: bm.Children("arrow") })));
};

// Generated with util/create-component.js
var Carousel = function (props) {
    var _a = useState(0), active = _a[0], setActive = _a[1];
    var bm = new BEM("Carousel", {});
    bm.Append(props.className);
    var onClick = function (pos) { return function () {
        var length = props.data.length;
        if (props.col) {
            length = Math.ceil(length / props.col);
        }
        setActive(function (active) {
            var a = ((active + pos) % length);
            return a < 0 ? length - 1 : a;
        });
    }; };
    return (React.createElement("div", { style: props.style, className: bm.toString() },
        React.createElement(SlickArrow, { onClick: onClick(-1), left: true }),
        React.createElement(SlickList, { isDetail: props.isDetail, col: props.col, component: props.component, active: active, data: props.data, children: props.children }),
        React.createElement(SlickArrow, { onClick: onClick(1) })));
};

var css_248z$v = ".Category {\n  display: flex;\n  flex-direction: column;\n  justify-content: flex-start;\n  align-items: flex-start;\n  position: relative;\n  overflow: hidden; }\n  .Category__cover {\n    width: 100%;\n    border-radius: 16px;\n    overflow: hidden;\n    position: relative; }\n    .Category__cover::before {\n      content: '';\n      position: absolute;\n      display: block;\n      top: 0;\n      bottom: 0;\n      right: 0;\n      left: 0;\n      z-index: 2;\n      background: linear-gradient(180deg, rgba(0, 0, 0, 0.1) 0%, rgba(0, 0, 0, 0.8) 75%, rgba(0, 0, 0, 0.9) 100%);\n      opacity: 0.65;\n      transition: 0.5s; }\n    .Category:hover .Category__cover:before {\n      cursor: pointer;\n      opacity: .9; }\n    .Category__cover img {\n      position: relative;\n      width: 100%;\n      z-index: 1;\n      transition: 0.5s; }\n      .Category:hover .Category__cover img {\n        transform: scale(1.08); }\n  .Category__title {\n    font-family: 'Rubik', sans-serif;\n    font-size: 18px;\n    line-height: 28px;\n    font-weight: 400;\n    color: #e0e0e0;\n    margin-bottom: 0;\n    z-index: 3;\n    transition: 0.5s;\n    flex: 1; }\n    .Category:hover .Category__title {\n      color: var(--iq-primary); }\n  .Category .Badge {\n    display: inline-flex;\n    width: min-content;\n    flex-direction: row;\n    justify-content: flex-start;\n    align-items: center;\n    z-index: 3;\n    transition: 0.5s;\n    pointer-events: none;\n    height: 30px;\n    padding: 0 12px;\n    border-radius: 10px;\n    background-color: rgba(21, 31, 48, 0.75);\n    color: #fff;\n    font-size: 12px;\n    font-weight: 500; }\n    @media (min-width: 768px) {\n      .Category .Badge {\n        font-size: 14px; } }\n  .Category__list {\n    display: flex;\n    flex-direction: row;\n    justify-content: flex-start;\n    align-items: center;\n    grid-gap: 10px;\n    margin-top: 5px;\n    grid-row: 2; }\n    .Category__list span {\n      font-size: 14px;\n      font-weight: 400;\n      color: #e0e0e0;\n      line-height: 100%; }\n  .Category__content {\n    position: absolute;\n    z-index: 3;\n    bottom: 20px;\n    left: 20px;\n    display: grid;\n    grid-template-columns: 1fr auto;\n    right: 20px;\n    justify-content: space-between; }\n    @media (min-width: 768px) {\n      .Category__content {\n        left: 30px;\n        bottom: 30px; } }\n";
styleInject(css_248z$v);

// Generated with util/create-component.js
var Category = function (props) {
    var bm = new BEM("Category", {});
    bm.Append(props.className);
    return (React.createElement("div", { className: bm.toString(), style: props.style },
        React.createElement("div", { className: bm.Children("cover") },
            React.createElement(Image, { title: props.title, alt: props.title, src: props.image })),
        React.createElement("div", { className: bm.Children("content") },
            props.title && React.createElement("h3", { className: bm.Children("title") }, props.title),
            props.badge && React.createElement(Badge, { label: props.badge }),
            props.list && (React.createElement("div", { className: bm.Children("list") }, props.list.map(function (item) { return React.createElement("span", { key: item }, item); }))))));
};

var css_248z$u = ".Collapse {\n  margin-bottom: 30px;\n  padding: 0;\n  overflow: hidden;\n  background: var(--iq-bg1);\n  border-radius: 5px; }\n  .Collapse > header {\n    border-radius: 4px;\n    position: relative;\n    padding: 15px;\n    line-height: normal;\n    cursor: pointer;\n    display: flex;\n    text-align: left;\n    color: var(--white-color);\n    font-weight: 600;\n    text-decoration: none;\n    justify-content: space-between;\n    align-items: center; }\n  .Collapse > section {\n    text-align: left;\n    padding: 30px 30px;\n    border: 1px solid;\n    border-image-slice: 1;\n    border-width: 1px 0 0 0;\n    border-image-source: linear-gradient(270deg, rgba(209, 208, 207, 0), rgba(209, 208, 207, 0.6), rgba(209, 208, 207, 0)); }\n";
styleInject(css_248z$u);

var Collapse = function (props) {
    var _a = useState(false), state = _a[0], setState = _a[1];
    var bm = new BEM("Collapse", {});
    bm.Append(props.className);
    var onClick = function (evt) {
        evt.stopPropagation();
        setState(!state);
    };
    return (React.createElement("div", { className: bm.toString(), style: props.style },
        React.createElement("header", { onClick: onClick },
            React.createElement("h4", null, props.title),
            React.createElement(ButtonDefault, { onClick: onClick }, !state ? '+' : '-')),
        state && (React.createElement("section", null, props.children))));
};

var css_248z$t = "";
styleInject(css_248z$t);

// Generated with util/create-component.js
var CollapseList = function (props) {
    var bm = new BEM("CollapseList", {});
    bm.Append(props.className);
    return (React.createElement("div", { className: bm.toString(), style: props.style }, React.Children.map(props.children, (function (child) {
        return child;
    }))));
};

var css_248z$s = ".Container {\n  width: 100%;\n  padding-right: 15px;\n  padding-left: 15px;\n  margin-right: auto;\n  margin-left: auto; }\n  @media (min-width: 576px) {\n    .Container {\n      max-width: 540px; } }\n  @media (min-width: 768px) {\n    .Container {\n      max-width: 720px; } }\n  @media (min-width: 992px) {\n    .Container {\n      max-width: 960px; } }\n  @media (min-width: 1200px) {\n    .Container {\n      max-width: 1140px; } }\n  @media (min-width: 1300px) {\n    .Container {\n      max-width: 1170px; } }\n  @media (min-width: 1499px) {\n    .Container {\n      max-width: 1266px; } }\n";
styleInject(css_248z$s);

// Generated with util/create-component.js
var Container = function (props) {
    var bm = new BEM("Container", {});
    bm.Append(props.className);
    return (React.createElement("div", { className: bm.toString(), style: props.style }, props.children));
};

var css_248z$r = ".ContainerFluid {\n  width: 100%;\n  padding-right: 15px;\n  padding-left: 15px;\n  margin-right: auto;\n  margin-left: auto; }\n  .ContainerFluid--default {\n    padding: 0 100px; }\n";
styleInject(css_248z$r);

var ContainerFluid = function (_a) {
    var children = _a.children, props = __rest(_a, ["children"]);
    var bm = new BEM("ContainerFluid", {
        default: props.default,
    });
    bm.Append(props.className);
    return (React.createElement("div", { className: bm.toString(), style: props.style }, children));
};

var css_248z$q = ".Dropdown {\n  position: relative; }\n  .Dropdown__menu {\n    width: 300px;\n    display: none;\n    position: absolute;\n    top: 100%;\n    right: 0;\n    -webkit-animation: fadeInBottom 0.6s cubic-bezier(0.39, 0.575, 0.565, 1) both;\n    animation: fadeInBottom 0.6s cubic-bezier(0.39, 0.575, 0.565, 1) both;\n    transform: translateY(100%);\n    background-color: var(--iq-white);\n    padding: 0;\n    border-radius: 5px;\n    box-shadow: 0 0 20px 0 #2c6590;\n    transition: all .3s ease-out 0s; }\n    .Dropdown__menu--active {\n      display: flex;\n      flex-direction: column; }\n";
styleInject(css_248z$q);

// Generated with util/create-component.js
var Dropdown = function (props) {
    var _a = useState(false), open = _a[0], setOpen = _a[1];
    var bm = new BEM("Dropdown", {});
    bm.Append(props.className);
    return (React.createElement("div", { className: bm.toString(), style: props.style },
        React.createElement("div", { onClick: function () { return setOpen(!open); }, className: bm.Children("trigger") }, props.trigger),
        React.createElement("div", { className: bm.Modifier("menu", "active", open) }, props.menu)));
};

var css_248z$p = ".DropdownMenu {\n  padding: 0;\n  background: var(--iq-light-card);\n  border-radius: 5px;\n  border: none; }\n";
styleInject(css_248z$p);

// Generated with util/create-component.js
var DropdownMenu = function (props) {
    var bm = new BEM("DropdownMenu", {});
    bm.Append(props.className);
    return (React.createElement(Card, { className: bm.toString(), style: props.style },
        React.createElement(CardHeader, { title: props.title, subTitle: props.subTitle }),
        React.createElement(CardContent, null, props.children),
        React.createElement(CardFooter, null, props.footer)));
};

var css_248z$o = ".Footer {\n  background-color: #131720;\n  padding: 30px 0;\n  position: relative;\n  overflow: hidden; }\n  @media (min-width: 768px) {\n    .Footer {\n      padding: 40px 0; } }\n";
styleInject(css_248z$o);

// Generated with util/create-component.js
var Footer = function (props) {
    var bm = new BEM("Footer", {});
    bm.Append(props.className);
    return (React.createElement("footer", { className: bm.toString(), style: props.style }, props.children));
};

var css_248z$n = ".FooterCopyright {\n  border-top: 1px solid rgba(47, 128, 237, 0.1);\n  padding-top: 30px;\n  margin-top: 30px; }\n  @media (min-width: 768px) {\n    .FooterCopyright {\n      display: flex;\n      flex-direction: row;\n      justify-content: space-between;\n      align-items: center;\n      width: 100%; } }\n  .FooterCopyright .FooterCopyright__right {\n    display: flex;\n    align-items: center;\n    flex-direction: row;\n    grid-gap: 20px; }\n    .FooterCopyright .FooterCopyright__right a {\n      margin: 0; }\n";
styleInject(css_248z$n);

var css_248z$m = ".Nav {\n  display: flex;\n  flex-direction: column;\n  justify-content: flex-start;\n  align-items: flex-start; }\n  .Nav a {\n    font-size: 14px;\n    line-height: 21px;\n    margin-bottom: 10px;\n    color: #e0e0e0; }\n";
styleInject(css_248z$m);

// Generated with util/create-component.js
var Nav = function (props) {
    var bm = new BEM("Nav", {});
    bm.Append(props.className);
    return (React.createElement("nav", { className: bm.toString() }, (props.links || []).map(function (item, index) { return (React.createElement("a", { href: item.url, key: index }, item.label)); })));
};

var year = function () {
    return new Date(Date.now()).getFullYear();
};

// Generated with util/create-component.js
var FooterCopyright = function (props) {
    var bm = new BEM("FooterCopyright", {});
    bm.Append(props.className);
    return (React.createElement("div", { className: bm.toString(), style: props.style },
        React.createElement("div", null,
            "\u00A9 ",
            props.left.name,
            ", ",
            year(),
            ", creado por ",
            React.createElement("a", { href: props.left.url }, props.left.by)),
        React.createElement(Nav, { links: props.right, className: bm.Children("right") })));
};

var css_248z$l = "";
styleInject(css_248z$l);

var GridColumn = function (props) {
    var bm = new BEM("GridColumn", {});
    bm.Append(props.className);
    return (React.createElement("div", { className: bm.toString(), style: __assign(__assign({}, props.style), { gridColumn: props.gridColumn }) }, props.children));
};

var css_248z$k = ".List {\n  list-style: none; }\n";
styleInject(css_248z$k);

// Generated with util/create-component.js
var List = function (props) {
    var bm = new BEM("List", {});
    bm.Append(props.className);
    return (React.createElement("ul", { className: bm.toString(), style: props.style }, props.list.map(function (value, index) {
        var _a;
        return (React.createElement("li", { key: index }, (_a = props.children) === null || _a === void 0 ? void 0 : _a.call(props, value, index)));
    })));
};

var css_248z$j = ".Logo {\n  display: inline-flex;\n  align-items: center;\n  color: var(--iq-primary); }\n  .Logo .Image {\n    flex: 0; }\n    .Logo .Image img {\n      height: 40px;\n      width: auto; }\n";
styleInject(css_248z$j);

// Generated with util/create-component.js
var Logo = function (props) {
    var bm = new BEM("Logo", {});
    bm.Append(props.className);
    return (React.createElement("div", { className: bm.toString(), style: props.style },
        props.image && React.createElement(Image, { src: props.image }),
        props.logo && React.createElement("span", null, props.logo)));
};

var css_248z$i = ".Menu {\n  margin: 0;\n  padding: 0;\n  list-style-type: none; }\n  .Menu__icon {\n    margin-right: 10px; }\n  .Menu__item {\n    list-style-type: none;\n    position: relative;\n    white-space: nowrap; }\n    .Menu__item a {\n      font-size: 16px;\n      white-space: nowrap;\n      color: var(--iq-body-text);\n      position: relative;\n      padding: 10px 20px;\n      line-height: 18px;\n      display: flex;\n      align-items: center;\n      overflow: hidden;\n      border-radius: 0;\n      text-transform: capitalize;\n      transition: all .5s ease-out 0s; }\n      .Menu__item a:hover {\n        color: var(--iq-primary);\n        cursor: pointer; }\n";
styleInject(css_248z$i);

// Generated with util/create-component.js
var Menu = function (props) {
    var bm = new BEM("Menu", {});
    bm.Append(props.className);
    return (React.createElement("ul", { className: bm.toString(), style: props.style }, Object.entries(props.menu).map(function (_a) {
        var key = _a[0], item = _a[1];
        return (React.createElement("li", { key: key, className: bm.Children("item") },
            React.createElement("a", null,
                React.createElement("span", { className: bm.Children("icon") }, item.icon),
                item.label,
                item.menu && React.createElement(Menu, { menu: item.menu }))));
    })));
};

var css_248z$h = ".Navbar {\n  padding: 0 15px 0 30px;\n  min-height: 73px;\n  position: fixed;\n  top: 0;\n  left: auto;\n  right: 0;\n  width: calc(100% - 300px);\n  display: flex;\n  z-index: 99;\n  background: var(--iq-light-card);\n  margin: 0;\n  transition: all .45s ease 0s;\n  align-items: center; }\n  .Navbar nav {\n    display: flex;\n    justify-content: space-between;\n    align-items: center;\n    width: 100%; }\n  .Navbar__left {\n    flex: 1; }\n  .Navbar__right > * {\n    margin-left: 20px; }\n  .Navbar__left, .Navbar__center, .Navbar__right {\n    display: flex;\n    align-items: center; }\n";
styleInject(css_248z$h);

// Generated with util/create-component.js
var Navbar = function (props) {
    var bm = new BEM("Navbar", {});
    bm.Append(props.className);
    return (React.createElement("div", { style: props.style, className: bm.toString() },
        React.createElement("nav", null,
            React.createElement("div", { className: bm.Children("left") }, props.left),
            React.createElement("div", { className: bm.Children("center") }, props.center),
            React.createElement("div", { className: bm.Children("right") }, props.right))));
};

var css_248z$g = ".Parallax {\n  height: 100%;\n  padding: 100px 0;\n  position: relative;\n  background-size: cover;\n  background-attachment: fixed;\n  background-repeat: no-repeat; }\n  .Parallax__content {\n    z-index: 1;\n    position: relative; }\n  .Parallax::after {\n    position: absolute;\n    content: \"\";\n    top: 0;\n    bottom: 0;\n    left: 0;\n    right: 0;\n    z-index: 0;\n    background: rgba(0, 0, 0, 0.8); }\n";
styleInject(css_248z$g);

var Parallax = function (props) {
    var _a;
    var bm = new BEM("Parallax", {});
    bm.Append(props.className);
    return (React.createElement("section", { className: bm.toString(), style: __assign(__assign({}, (_a = props.style) !== null && _a !== void 0 ? _a : {}), { background: "url(" + props.image + ") 100% 0% fixed no-repeat" }) },
        React.createElement("div", { className: bm.Children("content") }, props.children)));
};

var css_248z$f = ".Plan {\n  display: block;\n  margin-top: 20px;\n  padding: 20px;\n  border-radius: 16px;\n  background-color: #151f30;\n  position: relative;\n  overflow: hidden; }\n  .Plan__list {\n    flex-direction: column; }\n  .Plan__title {\n    position: relative;\n    z-index: 2;\n    font-size: 20px;\n    color: #fff;\n    line-height: 100%;\n    display: block;\n    font-weight: 400;\n    padding-bottom: 20px;\n    margin-bottom: 20px;\n    border-bottom: 1px solid rgba(47, 128, 237, 0.1);\n    font-family: 'Rubik', sans-serif; }\n    .Plan--best .Plan__title {\n      border-color: rgba(21, 31, 48, 0.2); }\n  .Plan__price {\n    position: relative;\n    z-index: 2;\n    font-family: 'Rubik', sans-serif;\n    font-weight: 500;\n    font-size: 36px;\n    color: #fff;\n    margin-top: 20px;\n    padding-top: 20px;\n    border-top: 1px solid rgba(47, 128, 237, 0.1);\n    display: block;\n    line-height: 100%; }\n    .Plan__price small {\n      font-size: .4em; }\n    .Plan--best .Plan__price {\n      border-color: rgba(21, 31, 48, 0.2); }\n  .Plan__button {\n    margin-top: 20px;\n    text-transform: uppercase;\n    font-size: 14px;\n    background-color: #131720;\n    height: 60px; }\n  .Plan--best {\n    background: linear-gradient(30deg, rgba(47, 128, 237, 0.7) 0%, rgba(47, 128, 237, 0.9) 100%); }\n";
styleInject(css_248z$f);

// Generated with util/create-component.js
var Plan = function (props) {
    var _a;
    var bm = new BEM("Plan", {
        best: props.active,
    });
    bm.Append(props.className);
    return (React.createElement("div", { className: bm.toString(), style: props.style },
        React.createElement("h3", { className: bm.Children("title") }, props.title),
        React.createElement(List, { list: props.list, className: bm.Children("list") }, function (item) { return (React.createElement(ActiveItem, { active: item.active, title: item.title })); }),
        React.createElement("span", { className: bm.Children("price") },
            props.price,
            " ",
            React.createElement("small", null,
                "/ ",
                props.priceBy)),
        React.createElement(Button, { className: bm.Children("button"), block: true, dark: true, onClick: props.onClick }, (_a = props.buttonText) !== null && _a !== void 0 ? _a : "Select plan")));
};

var css_248z$e = ".PriceBox {\n  background: var(--iq-body-bg);\n  position: relative;\n  transition: all .4s ease;\n  display: inline-flex;\n  margin-top: 25px; }\n  .PriceBox h3 {\n    color: var(--iq-white);\n    font-size: 2.369em;\n    text-align: center;\n    padding: 50px 20px 20px;\n    display: flex;\n    justify-content: center;\n    align-items: center;\n    margin: auto; }\n    .PriceBox h3 b {\n      margin-right: .5rem; }\n    .PriceBox h3 span {\n      margin-right: .5rem; }\n  .PriceBox small {\n    font-size: 20px;\n    text-transform: lowercase; }\n  .PriceBox > span {\n    font-size: 18px;\n    line-height: 28px;\n    position: absolute;\n    background: var(--iq-primary);\n    padding: 9px 25px;\n    color: var(--iq-white-color);\n    top: -15px;\n    left: 50%;\n    transform: translateX(-50%);\n    z-index: 99;\n    font-weight: 500; }\n    .PriceBox > span::before, .PriceBox > span::after {\n      position: absolute;\n      content: \"\";\n      width: 0;\n      height: 0;\n      top: -1px;\n      border-top: 16px solid transparent; }\n    .PriceBox > span::before {\n      position: absolute;\n      content: \"\";\n      width: 0;\n      height: 0;\n      right: -15px;\n      top: -1px;\n      border-left: 16px solid var(--iq-primary-hover);\n      border-top: 16px solid transparent; }\n    .PriceBox > span::after {\n      position: absolute;\n      content: \"\";\n      width: 0;\n      height: 0;\n      left: -15px;\n      top: -1px;\n      border-right: 16px solid var(--iq-primary-hover);\n      border-top: 16px solid transparent; }\n  .PriceBox--active {\n    background: var(--iq-primary); }\n    .PriceBox--active > span {\n      background: #fff;\n      color: var(--iq-primary); }\n      .PriceBox--active > span::before {\n        border-left: 16px solid var(--iq-primary-hover);\n        right: -16px; }\n";
styleInject(css_248z$e);

// Generated with util/create-component.js
var PriceBox = function (props) {
    var bm = new BEM("PriceBox", {
        active: props.active,
    });
    bm.Append(props.className);
    return (React.createElement("div", { className: bm.toString(), style: props.style },
        React.createElement("h3", null,
            React.createElement("b", null, props.price),
            React.createElement("span", null, props.currency),
            React.createElement("small", null,
                "/ ",
                props.type)),
        React.createElement("span", null, props.title)));
};

var css_248z$d = ".PriceRow {\n  border-bottom: 1px solid var(--iq-body-bg);\n  display: grid;\n  grid-gap: 20px;\n  align-items: center;\n  padding-bottom: 20px; }\n  .PriceRow__item {\n    border: none;\n    font-size: 18px;\n    line-height: 28px;\n    padding: 28px 10px 20px; }\n  .PriceRow__title {\n    text-align: right;\n    padding-right: 60px; }\n  .PriceRow__article {\n    text-align: center;\n    font-size: 1.8em; }\n    .PriceRow__article--active {\n      color: var(--iq-primary); }\n";
styleInject(css_248z$d);

var vars = {
    priceRowColumn: "220px",
};

var icon = function (data) {
    switch (typeof data) {
        case "undefined":
            break;
        case "object":
            break;
        case "boolean":
            return React.createElement(FontAwesomeIcon, { icon: data ? faCheckCircle : faTimesCircle });
        case "number":
            break;
        case "string":
            return React.createElement("small", { style: { fontSize: ".6em" } }, data);
    }
};
var PriceRow = function (props) {
    var bm = new BEM("PriceRow", {});
    bm.Append(props.className);
    return (React.createElement("div", { className: bm.toString(), style: __assign(__assign({}, props.style), { gridTemplateColumns: "1fr repeat(" + props.data.length + ", " + vars.priceRowColumn + ")" }) },
        React.createElement("div", { className: bm.Children("title") }, props.title),
        props.data.map(function (data, index) { return (React.createElement("article", { key: index, className: bm.Modifier("article", "active", props.active === index) }, icon(data))); })));
};

var css_248z$c = ".Sidebar {\n  position: fixed;\n  z-index: 1000;\n  top: 0;\n  width: 300px;\n  height: 100%;\n  background: var(--iq-light-card);\n  transition: all .3s ease-in-out;\n  -moz-transition: all .3s ease-in-out;\n  -ms-transition: all .3s ease-in-out;\n  -o-transition: all .3s ease-in-out;\n  -webkit-transition: all .3s ease-in-out; }\n  .Sidebar__logo {\n    display: flex;\n    align-items: center;\n    justify-content: space-between;\n    padding: 20px;\n    color: var(--iq-primary); }\n";
styleInject(css_248z$c);

// Generated with util/create-component.js
var Sidebar = function (props) {
    var bm = new BEM("Sidebar", {});
    bm.Append(props.className);
    return (React.createElement("div", { className: bm.toString(), style: props.style },
        React.createElement("div", { className: bm.Children("logo") },
            React.createElement(Logo, { image: props.image, logo: props.logo }),
            React.createElement(FontAwesomeIcon, { icon: faBars })),
        props.children && (React.createElement("div", null, props.children))));
};

var css_248z$b = "@keyframes fadeInLeft {\n  0% {\n    opacity: 0;\n    transform: translate3d(-100%, 0, 0); }\n  100% {\n    opacity: 1;\n    transform: translateZ(0); } }\n\n@keyframes fadeInUp {\n  0% {\n    opacity: 0;\n    transform: translate3d(0, 100%, 0); }\n  100% {\n    opacity: 1;\n    transform: translateZ(0); } }\n\n@keyframes fadeInRight {\n  0% {\n    opacity: 0;\n    transform: translate3d(100%, 0, 0); }\n  100% {\n    opacity: 1;\n    transform: translateZ(0); } }\n\n@keyframes fadeInBottom {\n  0% {\n    transform: translateY(50px);\n    opacity: 0; }\n  100% {\n    transform: translateY(0);\n    opacity: 1; } }\n\n.SlickVideoItem__right {\n  -webkit-animation-duration: 1s;\n  animation-duration: 1s;\n  -webkit-animation-fill-mode: both;\n  animation-fill-mode: both; }\n\n.SlickVideoItem__right {\n  animation-name: fadeInUp;\n  opacity: 0;\n  -webkit-animation-duration: 1.5s;\n  animation-duration: 1.5s;\n  transition: opacity .5s ease .3s;\n  transition: 1s; }\n\n.SlickVideoItem {\n  position: relative;\n  flex: 1;\n  transition: all 2s linear;\n  height: 100vh; }\n  .SlickVideoItem img {\n    width: 100%;\n    display: block;\n    height: 100%;\n    object-fit: cover; }\n  .SlickVideoItem section {\n    position: absolute;\n    top: 0;\n    left: 0;\n    bottom: 0;\n    display: flex;\n    align-items: flex-start;\n    justify-content: center;\n    padding: 40px;\n    flex-direction: column;\n    text-align: left;\n    right: 0; }\n    .SlickList .SlickVideoItem section {\n      margin-left: 80px; }\n  .SlickVideoItem .Button {\n    color: var(--iq-body-text); }\n  .SlickVideoItem__right {\n    position: absolute;\n    bottom: 40px;\n    right: 40px;\n    z-index: 999;\n    text-align: center; }\n  .SlickVideoItem::before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    left: 0;\n    height: 100%;\n    background: linear-gradient(90deg, #000, #141414 35%, rgba(83, 100, 141, 0));\n    width: 100%;\n    z-index: 0;\n    bottom: 0; }\n";
styleInject(css_248z$b);

var SlickVideoItem = function (props) {
    var _a;
    var _b = props.list, list = _b === void 0 ? [] : _b;
    var bm = new BEM("SlickVideoItem", {});
    return (React.createElement("div", { className: bm.toString() },
        React.createElement("img", { src: props.image, alt: props.title, title: props.title }),
        React.createElement("section", null,
            React.createElement(CardTitleDetail, __assign({}, props, { list: list })),
            React.createElement("div", { className: bm.Children("right") },
                React.createElement(Button, { onClick: props.onClickRight }, (_a = props.buttonRightText) !== null && _a !== void 0 ? _a : 'Ver el trailer')))));
};

var css_248z$a = ".SocialIcons {\n  display: flex;\n  grid-gap: 10px;\n  width: 100%;\n  margin-top: 20px;\n  transition: all .3s ease-in-out; }\n  .SocialIcons:hover a svg.svg-inline--fa {\n    opacity: .7; }\n  .SocialIcons a svg.svg-inline--fa {\n    transition: all .3s ease-in-out;\n    border-radius: 50%;\n    background-color: var(--iq-primary);\n    color: var(--iq-white);\n    padding: 6px;\n    height: 30px;\n    width: 30px; }\n    .SocialIcons a svg.svg-inline--fa:hover {\n      opacity: 1;\n      cursor: pointer; }\n";
styleInject(css_248z$a);

/*!
 * Font Awesome Free 5.15.3 by @fontawesome - https://fontawesome.com
 * License - https://fontawesome.com/license/free (Icons: CC BY 4.0, Fonts: SIL OFL 1.1, Code: MIT License)
 */
var faFacebook = {
  prefix: 'fab',
  iconName: 'facebook',
  icon: [512, 512, [], "f09a", "M504 256C504 119 393 8 256 8S8 119 8 256c0 123.78 90.69 226.38 209.25 245V327.69h-63V256h63v-54.64c0-62.15 37-96.48 93.67-96.48 27.14 0 55.52 4.84 55.52 4.84v61h-31.28c-30.8 0-40.41 19.12-40.41 38.73V256h68.78l-11 71.69h-57.78V501C413.31 482.38 504 379.78 504 256z"]
};
var faInstagram = {
  prefix: 'fab',
  iconName: 'instagram',
  icon: [448, 512, [], "f16d", "M224.1 141c-63.6 0-114.9 51.3-114.9 114.9s51.3 114.9 114.9 114.9S339 319.5 339 255.9 287.7 141 224.1 141zm0 189.6c-41.1 0-74.7-33.5-74.7-74.7s33.5-74.7 74.7-74.7 74.7 33.5 74.7 74.7-33.6 74.7-74.7 74.7zm146.4-194.3c0 14.9-12 26.8-26.8 26.8-14.9 0-26.8-12-26.8-26.8s12-26.8 26.8-26.8 26.8 12 26.8 26.8zm76.1 27.2c-1.7-35.9-9.9-67.7-36.2-93.9-26.2-26.2-58-34.4-93.9-36.2-37-2.1-147.9-2.1-184.9 0-35.8 1.7-67.6 9.9-93.9 36.1s-34.4 58-36.2 93.9c-2.1 37-2.1 147.9 0 184.9 1.7 35.9 9.9 67.7 36.2 93.9s58 34.4 93.9 36.2c37 2.1 147.9 2.1 184.9 0 35.9-1.7 67.7-9.9 93.9-36.2 26.2-26.2 34.4-58 36.2-93.9 2.1-37 2.1-147.8 0-184.8zM398.8 388c-7.8 19.6-22.9 34.7-42.6 42.6-29.5 11.7-99.5 9-132.1 9s-102.7 2.6-132.1-9c-19.6-7.8-34.7-22.9-42.6-42.6-11.7-29.5-9-99.5-9-132.1s-2.6-102.7 9-132.1c7.8-19.6 22.9-34.7 42.6-42.6 29.5-11.7 99.5-9 132.1-9s102.7-2.6 132.1 9c19.6 7.8 34.7 22.9 42.6 42.6 11.7 29.5 9 99.5 9 132.1s2.7 102.7-9 132.1z"]
};
var faTwitch = {
  prefix: 'fab',
  iconName: 'twitch',
  icon: [512, 512, [], "f1e8", "M391.17,103.47H352.54v109.7h38.63ZM285,103H246.37V212.75H285ZM120.83,0,24.31,91.42V420.58H140.14V512l96.53-91.42h77.25L487.69,256V0ZM449.07,237.75l-77.22,73.12H294.61l-67.6,64v-64H140.14V36.58H449.07Z"]
};
var faTwitter = {
  prefix: 'fab',
  iconName: 'twitter',
  icon: [512, 512, [], "f099", "M459.37 151.716c.325 4.548.325 9.097.325 13.645 0 138.72-105.583 298.558-298.558 298.558-59.452 0-114.68-17.219-161.137-47.106 8.447.974 16.568 1.299 25.34 1.299 49.055 0 94.213-16.568 130.274-44.832-46.132-.975-84.792-31.188-98.112-72.772 6.498.974 12.995 1.624 19.818 1.624 9.421 0 18.843-1.3 27.614-3.573-48.081-9.747-84.143-51.98-84.143-102.985v-1.299c13.969 7.797 30.214 12.67 47.431 13.319-28.264-18.843-46.781-51.005-46.781-87.391 0-19.492 5.197-37.36 14.294-52.954 51.655 63.675 129.3 105.258 216.365 109.807-1.624-7.797-2.599-15.918-2.599-24.04 0-57.828 46.782-104.934 104.934-104.934 30.213 0 57.502 12.67 76.67 33.137 23.715-4.548 46.456-13.32 66.599-25.34-7.798 24.366-24.366 44.833-46.132 57.827 21.117-2.273 41.584-8.122 60.426-16.243-14.292 20.791-32.161 39.308-52.628 54.253z"]
};
var faYoutube = {
  prefix: 'fab',
  iconName: 'youtube',
  icon: [576, 512, [], "f167", "M549.655 124.083c-6.281-23.65-24.787-42.276-48.284-48.597C458.781 64 288 64 288 64S117.22 64 74.629 75.486c-23.497 6.322-42.003 24.947-48.284 48.597-11.412 42.867-11.412 132.305-11.412 132.305s0 89.438 11.412 132.305c6.281 23.65 24.787 41.5 48.284 47.821C117.22 448 288 448 288 448s170.78 0 213.371-11.486c23.497-6.321 42.003-24.171 48.284-47.821 11.412-42.867 11.412-132.305 11.412-132.305s0-89.438-11.412-132.305zm-317.51 213.508V175.185l142.739 81.205-142.739 81.201z"]
};

// Generated with util/create-component.js
var SocialIcons = function (props) {
    var bm = new BEM("SocialIcons", {});
    bm.Append(props.className);
    return (React.createElement("div", { className: bm.toString() },
        React.createElement("a", { href: props.facebook, target: "_social" },
            React.createElement(FontAwesomeIcon, { icon: faFacebook })),
        React.createElement("a", { href: props.twitter, target: "_social" },
            React.createElement(FontAwesomeIcon, { icon: faTwitter })),
        React.createElement("a", { href: props.instagram, target: "_social" },
            React.createElement(FontAwesomeIcon, { icon: faInstagram })),
        React.createElement("a", { href: props.youtube, target: "_social" },
            React.createElement(FontAwesomeIcon, { icon: faYoutube })),
        React.createElement("a", { href: props.twitch, target: "_social" },
            React.createElement(FontAwesomeIcon, { icon: faTwitch }))));
};

var css_248z$9 = ".SubCard {\n  font-size: .9em;\n  padding: 15px;\n  line-height: normal;\n  color: inherit;\n  border-bottom: 1px solid #141414;\n  width: 100%;\n  border-radius: 5px 5px 0 0;\n  display: flex;\n  align-items: center;\n  background: transparent;\n  transition: all .5s ease-out 0s; }\n  .SubCard:hover {\n    background: var(--iq-light-primary);\n    cursor: pointer; }\n    .SubCard:hover .CardIcon {\n      color: var(--iq-primary); }\n";
styleInject(css_248z$9);

// Generated with util/create-component.js
var SubCard = function (props) {
    var bm = new BEM("SubCard", {});
    bm.Append(props.className);
    return (React.createElement(Card, { className: bm.toString(), style: props.style },
        React.createElement(CardIcon, { icon: props.icon }),
        React.createElement(CardTitle, { title: props.title, subTitle: props.subTitle })));
};

var css_248z$8 = ".TablePrice {\n  padding: 100px 0;\n  display: inline-block;\n  width: 100%;\n  float: left;\n  overflow: hidden;\n  color: var(--iq-body-text);\n  background: var(--iq-body-bg); }\n  .TablePrice__content {\n    width: 100%;\n    padding-right: 15px;\n    padding-left: 15px;\n    margin-right: auto;\n    margin-left: auto;\n    padding: 30px;\n    position: relative;\n    background: var(--iq-bg1);\n    -webkit-backdrop-filter: blur(10px);\n    backdrop-filter: blur(10px);\n    box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.5);\n    -webkit-box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.5);\n    -moz-box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.5);\n    display: grid;\n    grid-gap: 20px;\n    margin: 0 auto; }\n    @media (min-width: 576px) {\n      .TablePrice__content {\n        max-width: 540px; } }\n    @media (min-width: 768px) {\n      .TablePrice__content {\n        max-width: 720px; } }\n    @media (min-width: 992px) {\n      .TablePrice__content {\n        max-width: 960px; } }\n    @media (min-width: 1200px) {\n      .TablePrice__content {\n        max-width: 1140px; } }\n    @media (min-width: 1300px) {\n      .TablePrice__content {\n        max-width: 1170px; } }\n    @media (min-width: 1499px) {\n      .TablePrice__content {\n        max-width: 1266px; } }\n";
styleInject(css_248z$8);

var TablePrice = function (props) {
    var bm = new BEM("TablePrice", {});
    bm.Append(props.className);
    var dataLength = props.columns.length;
    return (React.createElement("div", { className: bm.toString(), style: props.style },
        React.createElement("div", { className: bm.Children("content"), style: {
                gridTemplateColumns: "1fr repeat(" + dataLength + ", " + vars.priceRowColumn + ")"
            } },
            props.columns.map(function (column, index) { return (React.createElement(PriceBox, __assign({ active: props.active === index }, column, { key: index, style: {
                    gridColumn: "" + (index + 2)
                } }))); }),
            props.data.map(function (data, index) { return (React.createElement(PriceRow, __assign({ active: props.active }, data, { key: index, style: {
                    gridColumn: "span " + (dataLength + 1)
                } }))); }),
            props.columns.map(function (column, index) {
                var _a;
                return (React.createElement(ButtonDefault, { style: {
                        gridColumn: "" + (index + 2)
                    }, onClick: function () { return props.onClick(index); } }, (_a = props.buttonText) !== null && _a !== void 0 ? _a : "Subscribir"));
            }))));
};

var css_248z$7 = ".test-component {\n  background-color: #e0e0e0;\n  border: 1px solid #151f30;\n  padding: 16px;\n  width: 360px;\n  text-align: center; }\n  .test-component .heading {\n    font-family: \"Avenir Next\", Helvetica, Arial, sans-serif;\n    font-size: 40px;\n    font-weight: bold; }\n  .test-component.test-component-secondary {\n    background-color: #151f30;\n    color: #e0e0e0; }\n";
styleInject(css_248z$7);

var TestComponent = function (_a) {
    var theme = _a.theme;
    return (React.createElement("div", { "data-testid": "test-component", className: "test-component test-component-" + theme },
        React.createElement("h1", { className: "heading" }, "I'm the test component"),
        React.createElement("h2", null, "Made with love by Harvey")));
};

var css_248z$6 = ".TitleCategory {\n  font-family: \"Avenir Next\", Helvetica, Arial, sans-serif;\n  margin-bottom: 1.2em;\n  justify-content: space-between;\n  align-items: center;\n  display: flex; }\n  .TitleCategory h4 {\n    color: var(--iq-white);\n    font-size: 1.667em; }\n  .TitleCategory .Button {\n    color: var(--iq-body-text); }\n";
styleInject(css_248z$6);

// Generated with util/create-component.js
var TitleCategory = function (props) {
    var _a;
    var bm = new BEM("TitleCategory", {});
    return (React.createElement("div", { className: bm.toString(), style: props.style },
        React.createElement("h4", null, props.title),
        React.createElement(Button, { onClick: props.onClick }, (_a = props.buttonText) !== null && _a !== void 0 ? _a : "Ver todo")));
};

var css_248z$5 = "";
styleInject(css_248z$5);

// Generated with util/create-component.js
var TitleSubtitle = function (props) {
    var bm = new BEM("TitleSubtitle", {});
    bm.Append(props.className);
    return (React.createElement("div", { className: bm.toString(), style: props.style },
        React.createElement("h2", null, props.title),
        React.createElement("p", null, props.subTitle)));
};

var css_248z$4 = ".TitleText {\n  display: block;\n  margin-top: 12px;\n  font-size: 15px;\n  color: #fff;\n  font-family: 'Rubik', sans-serif;\n  font-weight: 500;\n  margin-bottom: 15px; }\n";
styleInject(css_248z$4);

// Generated with util/create-component.js
var TitleText = function (props) {
    var bm = new BEM("TitleText", {});
    bm.Append(props.className);
    return (React.createElement("h6", { style: props.style, className: bm.toString() }, props.text));
};

var css_248z$3 = "@keyframes fadeInLeft {\n  0% {\n    opacity: 0;\n    transform: translate3d(-100%, 0, 0); }\n  100% {\n    opacity: 1;\n    transform: translateZ(0); } }\n\n@keyframes fadeInUp {\n  0% {\n    opacity: 0;\n    transform: translate3d(0, 100%, 0); }\n  100% {\n    opacity: 1;\n    transform: translateZ(0); } }\n\n@keyframes fadeInRight {\n  0% {\n    opacity: 0;\n    transform: translate3d(100%, 0, 0); }\n  100% {\n    opacity: 1;\n    transform: translateZ(0); } }\n\n@keyframes fadeInBottom {\n  0% {\n    transform: translateY(50px);\n    opacity: 0; }\n  100% {\n    transform: translateY(0);\n    opacity: 1; } }\n\n.VideoPremium__image {\n  -webkit-animation-duration: 1s;\n  animation-duration: 1s;\n  -webkit-animation-fill-mode: both;\n  animation-fill-mode: both; }\n\n.VideoPremium__image {\n  animation-name: fadeInUp;\n  opacity: 0;\n  -webkit-animation-duration: 1.5s;\n  animation-duration: 1.5s;\n  transition: opacity .5s ease .3s;\n  transition: 1s; }\n\n.VideoPremium {\n  display: grid;\n  grid-template-columns: 580px 1fr;\n  align-items: center;\n  justify-content: space-between;\n  padding: 40px;\n  grid-gap: 80px; }\n  .VideoPremium__image {\n    flex: 1; }\n  .VideoPremium__detail {\n    flex: 300px; }\n";
styleInject(css_248z$3);

var VideoPremium = function (props) {
    var bm = new BEM("VideoPremium", {});
    bm.Append(props.className);
    return (React.createElement("div", { className: bm.toString(), style: props.style },
        React.createElement(CardTitleDetail, __assign({}, props, { className: bm.Children("detail") })),
        React.createElement(Image, { src: props.image, className: bm.Children("image") })));
};

var css_248z$2 = ".Dashboard__content {\n  overflow: hidden;\n  margin-left: 300px;\n  padding: 73px 0;\n  min-height: 100vh;\n  transition: all .3s ease-out 0s; }\n";
styleInject(css_248z$2);

var Dashboard = function (props) {
    var bm = new BEM("Dashboard", {});
    return (React.createElement("div", { style: props.style, className: bm.toString() },
        React.createElement(Sidebar, __assign({}, props.sidebar),
            React.createElement(Menu, __assign({}, props.menu))),
        React.createElement(Navbar, __assign({}, props.navbar)),
        React.createElement("div", { className: bm.Children("content") }, props.children)));
};

var css_248z$1 = ".LayoutCardVideo {\n  font-family: \"Avenir Next\", Helvetica, Arial, sans-serif; }\n  .LayoutCardVideo .CardTitleDescription {\n    position: absolute;\n    left: 25px;\n    top: 0;\n    bottom: 0;\n    z-index: 1;\n    display: flex;\n    justify-content: center;\n    flex-direction: column; }\n";
styleInject(css_248z$1);

// Generated with util/create-component.js
var LayoutCardVideo = function (props) {
    var bm = new BEM("LayoutCardVideo", {});
    bm.Append(props.className);
    return (React.createElement(Card, { style: props.style, className: bm.toString(), default: true, image: props.image, imageAlt: props.title, imageTitle: props.title },
        React.createElement(CardTitleDescription, { description: props.description, title: props.title, label: props.label })));
};

var css_248z = "";
styleInject(css_248z);

var LayoutVideoPremium = function (props) {
    var bm = new BEM("LayoutVideoPremium", {});
    bm.Append(props.className);
    return (React.createElement("div", { className: bm.toString(), style: props.style },
        React.createElement(Parallax, { image: props.image },
            React.createElement(ContainerFluid, null,
                React.createElement(VideoPremium, __assign({}, props))))));
};

export { ActiveItem, Arrow, Avatar, Badge, Button, ButtonDefault, Card, CardContent, CardFooter, CardHeader, CardIcon, CardTitle, CardTitleDescription, CardTitleDetail, Carousel, Category, Collapse, CollapseList, Container, ContainerFluid, Dashboard, Dropdown, DropdownMenu, Footer, FooterCopyright, Grid, GridColumn, Image, LayoutCardVideo, LayoutVideoPremium, List, ListData, ListDataItem, Logo, Menu, Nav, Navbar, Parallax, Plan, PriceBox, PriceRow, Sidebar, SlickArrow, SlickItem, SlickList, SlickVideoItem, SocialIcons, SubCard, TablePrice, TestComponent, TitleCategory, TitleSubtitle, TitleText, VideoPremium };
//# sourceMappingURL=index.esm.js.map
